/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_decode_main_0.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:04p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:42:33 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_decode_main_0.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:04p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_DECODE_MAIN_0_H__
#define BCHP_DECODE_MAIN_0_H__

/***************************************************************************
 *DECODE_MAIN_0
 ***************************************************************************/
#define BCHP_DECODE_MAIN_0_REG_MAINCTL           0x00800100 /* Decoder Control */
#define BCHP_DECODE_MAIN_0_REG_FRAMESIZE         0x00800104 /* Size of the picture being decoded */
#define BCHP_DECODE_MAIN_0_REG_DEC_VERSION       0x00800108 /* Version of the decoder core */
#define BCHP_DECODE_MAIN_0_REG_STATUS            0x00800110 /* Provides back-end decoder processing status */
#define BCHP_DECODE_MAIN_0_REG_PMONCTL           0x00800120 /* Performance Monitoring */
#define BCHP_DECODE_MAIN_0_REG_PMONCNT0          0x00800124 /* REG_PMONCNT0 */
#define BCHP_DECODE_MAIN_0_REG_PMONCNT1          0x00800128 /* REG_PMONCNT1 */
#define BCHP_DECODE_MAIN_0_REG_PMON_MBCTL        0x0080012c /* REG_PMON_MBCTL */
#define BCHP_DECODE_MAIN_0_DBLK_BUFF_CONTROL     0x00800130 /* DBLK_BUFF_CONTROL */
#define BCHP_DECODE_MAIN_0_REG_MAIN_END          0x008001fc /* REG_MAIN_END */

/***************************************************************************
 *REG_MAINCTL - Decoder Control
 ***************************************************************************/
/* DECODE_MAIN_0 :: REG_MAINCTL :: USE_2_OFF [31:31] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_USE_2_OFF_MASK              0x80000000
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_USE_2_OFF_SHIFT             31

/* DECODE_MAIN_0 :: REG_MAINCTL :: reserved0 [30:29] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_reserved0_MASK              0x60000000
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_reserved0_SHIFT             29

/* DECODE_MAIN_0 :: REG_MAINCTL :: QPC_OFFSET2 [28:24] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_QPC_OFFSET2_MASK            0x1f000000
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_QPC_OFFSET2_SHIFT           24

/* DECODE_MAIN_0 :: REG_MAINCTL :: reserved1 [23:21] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_reserved1_MASK              0x00e00000
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_reserved1_SHIFT             21

/* DECODE_MAIN_0 :: REG_MAINCTL :: QpC_Offset [20:16] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_QpC_Offset_MASK             0x001f0000
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_QpC_Offset_SHIFT            16

/* DECODE_MAIN_0 :: REG_MAINCTL :: reserved2 [15:13] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_reserved2_MASK              0x0000e000
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_reserved2_SHIFT             13

/* DECODE_MAIN_0 :: REG_MAINCTL :: use_alt_mocomp [12:12] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_use_alt_mocomp_MASK         0x00001000
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_use_alt_mocomp_SHIFT        12

/* DECODE_MAIN_0 :: REG_MAINCTL :: use_alt_xform [11:11] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_use_alt_xform_MASK          0x00000800
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_use_alt_xform_SHIFT         11

/* DECODE_MAIN_0 :: REG_MAINCTL :: block_ppbuf_avail [10:10] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_block_ppbuf_avail_MASK      0x00000400
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_block_ppbuf_avail_SHIFT     10

/* DECODE_MAIN_0 :: REG_MAINCTL :: Standard [09:07] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_Standard_MASK               0x00000380
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_Standard_SHIFT              7

/* DECODE_MAIN_0 :: REG_MAINCTL :: Profile [06:04] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_Profile_MASK                0x00000070
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_Profile_SHIFT               4

/* DECODE_MAIN_0 :: REG_MAINCTL :: reserved3 [03:01] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_reserved3_MASK              0x0000000e
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_reserved3_SHIFT             1

/* DECODE_MAIN_0 :: REG_MAINCTL :: Rst [00:00] */
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_Rst_MASK                    0x00000001
#define BCHP_DECODE_MAIN_0_REG_MAINCTL_Rst_SHIFT                   0

/***************************************************************************
 *REG_FRAMESIZE - Size of the picture being decoded
 ***************************************************************************/
/* DECODE_MAIN_0 :: REG_FRAMESIZE :: reserved0 [31:28] */
#define BCHP_DECODE_MAIN_0_REG_FRAMESIZE_reserved0_MASK            0xf0000000
#define BCHP_DECODE_MAIN_0_REG_FRAMESIZE_reserved0_SHIFT           28

/* DECODE_MAIN_0 :: REG_FRAMESIZE :: Lines [27:16] */
#define BCHP_DECODE_MAIN_0_REG_FRAMESIZE_Lines_MASK                0x0fff0000
#define BCHP_DECODE_MAIN_0_REG_FRAMESIZE_Lines_SHIFT               16

/* DECODE_MAIN_0 :: REG_FRAMESIZE :: reserved1 [15:12] */
#define BCHP_DECODE_MAIN_0_REG_FRAMESIZE_reserved1_MASK            0x0000f000
#define BCHP_DECODE_MAIN_0_REG_FRAMESIZE_reserved1_SHIFT           12

/* DECODE_MAIN_0 :: REG_FRAMESIZE :: Pixels [11:00] */
#define BCHP_DECODE_MAIN_0_REG_FRAMESIZE_Pixels_MASK               0x00000fff
#define BCHP_DECODE_MAIN_0_REG_FRAMESIZE_Pixels_SHIFT              0

/***************************************************************************
 *REG_DEC_VERSION - Version of the decoder core
 ***************************************************************************/
/* DECODE_MAIN_0 :: REG_DEC_VERSION :: Major [31:16] */
#define BCHP_DECODE_MAIN_0_REG_DEC_VERSION_Major_MASK              0xffff0000
#define BCHP_DECODE_MAIN_0_REG_DEC_VERSION_Major_SHIFT             16

/* DECODE_MAIN_0 :: REG_DEC_VERSION :: Minor [15:08] */
#define BCHP_DECODE_MAIN_0_REG_DEC_VERSION_Minor_MASK              0x0000ff00
#define BCHP_DECODE_MAIN_0_REG_DEC_VERSION_Minor_SHIFT             8

/* DECODE_MAIN_0 :: REG_DEC_VERSION :: FixID [07:00] */
#define BCHP_DECODE_MAIN_0_REG_DEC_VERSION_FixID_MASK              0x000000ff
#define BCHP_DECODE_MAIN_0_REG_DEC_VERSION_FixID_SHIFT             0

/***************************************************************************
 *REG_STATUS - Provides back-end decoder processing status
 ***************************************************************************/
/* DECODE_MAIN_0 :: REG_STATUS :: Ixfm [31:30] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_Ixfm_MASK                    0xc0000000
#define BCHP_DECODE_MAIN_0_REG_STATUS_Ixfm_SHIFT                   30

/* DECODE_MAIN_0 :: REG_STATUS :: Spre [29:28] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_Spre_MASK                    0x30000000
#define BCHP_DECODE_MAIN_0_REG_STATUS_Spre_SHIFT                   28

/* DECODE_MAIN_0 :: REG_STATUS :: Mcom [27:26] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_Mcom_MASK                    0x0c000000
#define BCHP_DECODE_MAIN_0_REG_STATUS_Mcom_SHIFT                   26

/* DECODE_MAIN_0 :: REG_STATUS :: reserved0 [25:22] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_reserved0_MASK               0x03c00000
#define BCHP_DECODE_MAIN_0_REG_STATUS_reserved0_SHIFT              22

/* DECODE_MAIN_0 :: REG_STATUS :: InpBuf_Overflow [21:16] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_InpBuf_Overflow_MASK         0x003f0000
#define BCHP_DECODE_MAIN_0_REG_STATUS_InpBuf_Overflow_SHIFT        16

/* DECODE_MAIN_0 :: REG_STATUS :: mocomp_data_avail [15:15] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_mocomp_data_avail_MASK       0x00008000
#define BCHP_DECODE_MAIN_0_REG_STATUS_mocomp_data_avail_SHIFT      15

/* DECODE_MAIN_0 :: REG_STATUS :: xform_data_avail [14:14] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_xform_data_avail_MASK        0x00004000
#define BCHP_DECODE_MAIN_0_REG_STATUS_xform_data_avail_SHIFT       14

/* DECODE_MAIN_0 :: REG_STATUS :: Output [13:12] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_Output_MASK                  0x00003000
#define BCHP_DECODE_MAIN_0_REG_STATUS_Output_SHIFT                 12

/* DECODE_MAIN_0 :: REG_STATUS :: Dblk [11:10] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_Dblk_MASK                    0x00000c00
#define BCHP_DECODE_MAIN_0_REG_STATUS_Dblk_SHIFT                   10

/* DECODE_MAIN_0 :: REG_STATUS :: Recon [09:08] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_Recon_MASK                   0x00000300
#define BCHP_DECODE_MAIN_0_REG_STATUS_Recon_SHIFT                  8

/* DECODE_MAIN_0 :: REG_STATUS :: reserved1 [07:00] */
#define BCHP_DECODE_MAIN_0_REG_STATUS_reserved1_MASK               0x000000ff
#define BCHP_DECODE_MAIN_0_REG_STATUS_reserved1_SHIFT              0

/***************************************************************************
 *REG_PMONCTL - Performance Monitoring
 ***************************************************************************/
/* DECODE_MAIN_0 :: REG_PMONCTL :: reserved0 [31:12] */
#define BCHP_DECODE_MAIN_0_REG_PMONCTL_reserved0_MASK              0xfffff000
#define BCHP_DECODE_MAIN_0_REG_PMONCTL_reserved0_SHIFT             12

/* DECODE_MAIN_0 :: REG_PMONCTL :: CNT1_SEL [11:08] */
#define BCHP_DECODE_MAIN_0_REG_PMONCTL_CNT1_SEL_MASK               0x00000f00
#define BCHP_DECODE_MAIN_0_REG_PMONCTL_CNT1_SEL_SHIFT              8

/* DECODE_MAIN_0 :: REG_PMONCTL :: reserved1 [07:04] */
#define BCHP_DECODE_MAIN_0_REG_PMONCTL_reserved1_MASK              0x000000f0
#define BCHP_DECODE_MAIN_0_REG_PMONCTL_reserved1_SHIFT             4

/* DECODE_MAIN_0 :: REG_PMONCTL :: CNT0_SEL [03:00] */
#define BCHP_DECODE_MAIN_0_REG_PMONCTL_CNT0_SEL_MASK               0x0000000f
#define BCHP_DECODE_MAIN_0_REG_PMONCTL_CNT0_SEL_SHIFT              0

/***************************************************************************
 *REG_PMONCNT0 - REG_PMONCNT0
 ***************************************************************************/
/* DECODE_MAIN_0 :: REG_PMONCNT0 :: DATA [31:16] */
#define BCHP_DECODE_MAIN_0_REG_PMONCNT0_DATA_MASK                  0xffff0000
#define BCHP_DECODE_MAIN_0_REG_PMONCNT0_DATA_SHIFT                 16

/* DECODE_MAIN_0 :: REG_PMONCNT0 :: reserved0 [15:12] */
#define BCHP_DECODE_MAIN_0_REG_PMONCNT0_reserved0_MASK             0x0000f000
#define BCHP_DECODE_MAIN_0_REG_PMONCNT0_reserved0_SHIFT            12

/* DECODE_MAIN_0 :: REG_PMONCNT0 :: COUNT [11:00] */
#define BCHP_DECODE_MAIN_0_REG_PMONCNT0_COUNT_MASK                 0x00000fff
#define BCHP_DECODE_MAIN_0_REG_PMONCNT0_COUNT_SHIFT                0

/***************************************************************************
 *REG_PMONCNT1 - REG_PMONCNT1
 ***************************************************************************/
/* DECODE_MAIN_0 :: REG_PMONCNT1 :: DATA [31:16] */
#define BCHP_DECODE_MAIN_0_REG_PMONCNT1_DATA_MASK                  0xffff0000
#define BCHP_DECODE_MAIN_0_REG_PMONCNT1_DATA_SHIFT                 16

/* DECODE_MAIN_0 :: REG_PMONCNT1 :: reserved0 [15:12] */
#define BCHP_DECODE_MAIN_0_REG_PMONCNT1_reserved0_MASK             0x0000f000
#define BCHP_DECODE_MAIN_0_REG_PMONCNT1_reserved0_SHIFT            12

/* DECODE_MAIN_0 :: REG_PMONCNT1 :: COUNT [11:00] */
#define BCHP_DECODE_MAIN_0_REG_PMONCNT1_COUNT_MASK                 0x00000fff
#define BCHP_DECODE_MAIN_0_REG_PMONCNT1_COUNT_SHIFT                0

/***************************************************************************
 *REG_PMON_MBCTL - REG_PMON_MBCTL
 ***************************************************************************/
/* DECODE_MAIN_0 :: REG_PMON_MBCTL :: reserved0 [31:02] */
#define BCHP_DECODE_MAIN_0_REG_PMON_MBCTL_reserved0_MASK           0xfffffffc
#define BCHP_DECODE_MAIN_0_REG_PMON_MBCTL_reserved0_SHIFT          2

/* DECODE_MAIN_0 :: REG_PMON_MBCTL :: SW_Pmon [01:01] */
#define BCHP_DECODE_MAIN_0_REG_PMON_MBCTL_SW_Pmon_MASK             0x00000002
#define BCHP_DECODE_MAIN_0_REG_PMON_MBCTL_SW_Pmon_SHIFT            1

/* DECODE_MAIN_0 :: REG_PMON_MBCTL :: MBCtlEna [00:00] */
#define BCHP_DECODE_MAIN_0_REG_PMON_MBCTL_MBCtlEna_MASK            0x00000001
#define BCHP_DECODE_MAIN_0_REG_PMON_MBCTL_MBCtlEna_SHIFT           0

/***************************************************************************
 *DBLK_BUFF_CONTROL - DBLK_BUFF_CONTROL
 ***************************************************************************/
/* DECODE_MAIN_0 :: DBLK_BUFF_CONTROL :: reserved0 [31:01] */
#define BCHP_DECODE_MAIN_0_DBLK_BUFF_CONTROL_reserved0_MASK        0xfffffffe
#define BCHP_DECODE_MAIN_0_DBLK_BUFF_CONTROL_reserved0_SHIFT       1

/* DECODE_MAIN_0 :: DBLK_BUFF_CONTROL :: Enable [00:00] */
#define BCHP_DECODE_MAIN_0_DBLK_BUFF_CONTROL_Enable_MASK           0x00000001
#define BCHP_DECODE_MAIN_0_DBLK_BUFF_CONTROL_Enable_SHIFT          0

/***************************************************************************
 *REG_MAIN_END - REG_MAIN_END
 ***************************************************************************/
/* DECODE_MAIN_0 :: REG_MAIN_END :: reserved0 [31:00] */
#define BCHP_DECODE_MAIN_0_REG_MAIN_END_reserved0_MASK             0xffffffff
#define BCHP_DECODE_MAIN_0_REG_MAIN_END_reserved0_SHIFT            0

#endif /* #ifndef BCHP_DECODE_MAIN_0_H__ */

/* End of File */
