/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_scrub_ctrl.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:18p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:42:19 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_scrub_ctrl.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:18p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_SCRUB_CTRL_H__
#define BCHP_SCRUB_CTRL_H__

/***************************************************************************
 *SCRUB_CTRL - Scrub Control Registers
 ***************************************************************************/
#define BCHP_SCRUB_CTRL_SCRUB_ENABLE             0x000f6000 /* Secure Sequencer Enable */
#define BCHP_SCRUB_CTRL_BORCH_END_ADDRESS        0x000f6004 /* ARM Bridge Out-of-Range Checker End Address */
#define BCHP_SCRUB_CTRL_STARCH_END_ADDRESS       0x000f6008 /* Static ARCH End Address */
#define BCHP_SCRUB_CTRL_BI_CMAC_31_0             0x000f600c /* Boot Image CMAC value[31:0] */
#define BCHP_SCRUB_CTRL_BI_CMAC_63_32            0x000f6010 /* Boot Image CMAC value[63:32] */
#define BCHP_SCRUB_CTRL_BI_CMAC_95_64            0x000f6014 /* Boot Image CMAC value[95:64] */
#define BCHP_SCRUB_CTRL_BI_CMAC_127_96           0x000f6018 /* Boot Image CMAC value[127:96] */
#define BCHP_SCRUB_CTRL_SCRUB_STATUS             0x000f601c /* Secure Data Scrubber Status Register */
#define BCHP_SCRUB_CTRL_CR                       0x000f6024 /* CR Word Register */
#define BCHP_SCRUB_CTRL_ECC_DONE                 0x000f6030 /* OTP ECC Done Register */
#define BCHP_SCRUB_CTRL_ECC_FAULT                0x000f6034 /* OTP ECC Fault Register */
#define BCHP_SCRUB_CTRL_ECC_FAIL                 0x000f6038 /* OTP ECC Fail Register */
#define BCHP_SCRUB_CTRL_KEY0_31_0                0x000f603c /* Key0 [31:0] */
#define BCHP_SCRUB_CTRL_KEY0_63_32               0x000f6040 /* Key0 [63:32] */
#define BCHP_SCRUB_CTRL_KEY0_95_64               0x000f6044 /* Key0 [95:64] */
#define BCHP_SCRUB_CTRL_KEY0_127_96              0x000f6048 /* Key0 [127:96] */
#define BCHP_SCRUB_CTRL_KEY0_PS_31_0             0x000f604c /* Key0 Post scramble [31:0] */
#define BCHP_SCRUB_CTRL_KEY0_PS_63_32            0x000f6050 /* Key0 Post scramble [63:32] */
#define BCHP_SCRUB_CTRL_KEY0_PS_95_64            0x000f6054 /* Key0 Post scramble [95:64] */
#define BCHP_SCRUB_CTRL_KEY0_PS_127_96           0x000f6058 /* Key0 Post scramble [127:96] */
#define BCHP_SCRUB_CTRL_KEY1_31_0                0x000f605c /* Key1 [31:0] */
#define BCHP_SCRUB_CTRL_KEY1_63_32               0x000f6060 /* Key1 [63:32] */
#define BCHP_SCRUB_CTRL_KEY1_95_64               0x000f6064 /* Key1 [95:64] */
#define BCHP_SCRUB_CTRL_KEY1_127_96              0x000f6068 /* Key1 [127:96] */
#define BCHP_SCRUB_CTRL_KEY1_PS_31_0             0x000f606c /* Key1 Post scramble [31:0] */
#define BCHP_SCRUB_CTRL_KEY1_PS_63_32            0x000f6070 /* Key1 Post scramble [63:32] */
#define BCHP_SCRUB_CTRL_KEY1_PS_95_64            0x000f6074 /* Key1 Post scramble [95:64] */
#define BCHP_SCRUB_CTRL_KEY1_PS_127_96           0x000f6078 /* Key1 Post scramble [127:96] */

/***************************************************************************
 *SCRUB_ENABLE - Secure Sequencer Enable
 ***************************************************************************/
/* SCRUB_CTRL :: SCRUB_ENABLE :: reserved0 [31:02] */
#define BCHP_SCRUB_CTRL_SCRUB_ENABLE_reserved0_MASK                0xfffffffc
#define BCHP_SCRUB_CTRL_SCRUB_ENABLE_reserved0_SHIFT               2

/* SCRUB_CTRL :: SCRUB_ENABLE :: DSCRAM_EN [01:01] */
#define BCHP_SCRUB_CTRL_SCRUB_ENABLE_DSCRAM_EN_MASK                0x00000002
#define BCHP_SCRUB_CTRL_SCRUB_ENABLE_DSCRAM_EN_SHIFT               1

/* SCRUB_CTRL :: SCRUB_ENABLE :: SCRUB_EN [00:00] */
#define BCHP_SCRUB_CTRL_SCRUB_ENABLE_SCRUB_EN_MASK                 0x00000001
#define BCHP_SCRUB_CTRL_SCRUB_ENABLE_SCRUB_EN_SHIFT                0

/***************************************************************************
 *BORCH_END_ADDRESS - ARM Bridge Out-of-Range Checker End Address
 ***************************************************************************/
/* SCRUB_CTRL :: BORCH_END_ADDRESS :: reserved0 [31:27] */
#define BCHP_SCRUB_CTRL_BORCH_END_ADDRESS_reserved0_MASK           0xf8000000
#define BCHP_SCRUB_CTRL_BORCH_END_ADDRESS_reserved0_SHIFT          27

/* SCRUB_CTRL :: BORCH_END_ADDRESS :: BORCH_END_ADDR [26:00] */
#define BCHP_SCRUB_CTRL_BORCH_END_ADDRESS_BORCH_END_ADDR_MASK      0x07ffffff
#define BCHP_SCRUB_CTRL_BORCH_END_ADDRESS_BORCH_END_ADDR_SHIFT     0

/***************************************************************************
 *STARCH_END_ADDRESS - Static ARCH End Address
 ***************************************************************************/
/* SCRUB_CTRL :: STARCH_END_ADDRESS :: reserved0 [31:27] */
#define BCHP_SCRUB_CTRL_STARCH_END_ADDRESS_reserved0_MASK          0xf8000000
#define BCHP_SCRUB_CTRL_STARCH_END_ADDRESS_reserved0_SHIFT         27

/* SCRUB_CTRL :: STARCH_END_ADDRESS :: STARCH_END_ADDR [26:00] */
#define BCHP_SCRUB_CTRL_STARCH_END_ADDRESS_STARCH_END_ADDR_MASK    0x07ffffff
#define BCHP_SCRUB_CTRL_STARCH_END_ADDRESS_STARCH_END_ADDR_SHIFT   0

/***************************************************************************
 *BI_CMAC_31_0 - Boot Image CMAC value[31:0]
 ***************************************************************************/
/* SCRUB_CTRL :: BI_CMAC_31_0 :: CMAC_WORD [31:00] */
#define BCHP_SCRUB_CTRL_BI_CMAC_31_0_CMAC_WORD_MASK                0xffffffff
#define BCHP_SCRUB_CTRL_BI_CMAC_31_0_CMAC_WORD_SHIFT               0

/***************************************************************************
 *BI_CMAC_63_32 - Boot Image CMAC value[63:32]
 ***************************************************************************/
/* SCRUB_CTRL :: BI_CMAC_63_32 :: CMAC_WORD [31:00] */
#define BCHP_SCRUB_CTRL_BI_CMAC_63_32_CMAC_WORD_MASK               0xffffffff
#define BCHP_SCRUB_CTRL_BI_CMAC_63_32_CMAC_WORD_SHIFT              0

/***************************************************************************
 *BI_CMAC_95_64 - Boot Image CMAC value[95:64]
 ***************************************************************************/
/* SCRUB_CTRL :: BI_CMAC_95_64 :: CMAC_WORD [31:00] */
#define BCHP_SCRUB_CTRL_BI_CMAC_95_64_CMAC_WORD_MASK               0xffffffff
#define BCHP_SCRUB_CTRL_BI_CMAC_95_64_CMAC_WORD_SHIFT              0

/***************************************************************************
 *BI_CMAC_127_96 - Boot Image CMAC value[127:96]
 ***************************************************************************/
/* SCRUB_CTRL :: BI_CMAC_127_96 :: CMAC_WORD [31:00] */
#define BCHP_SCRUB_CTRL_BI_CMAC_127_96_CMAC_WORD_MASK              0xffffffff
#define BCHP_SCRUB_CTRL_BI_CMAC_127_96_CMAC_WORD_SHIFT             0

/***************************************************************************
 *SCRUB_STATUS - Secure Data Scrubber Status Register
 ***************************************************************************/
/* SCRUB_CTRL :: SCRUB_STATUS :: reserved0 [31:04] */
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_reserved0_MASK                0xfffffff0
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_reserved0_SHIFT               4

/* SCRUB_CTRL :: SCRUB_STATUS :: CMAC_WORDS_SWAPPED [03:03] */
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_CMAC_WORDS_SWAPPED_MASK       0x00000008
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_CMAC_WORDS_SWAPPED_SHIFT      3

/* SCRUB_CTRL :: SCRUB_STATUS :: SHARF_REG_RD_FAIL [02:02] */
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_SHARF_REG_RD_FAIL_MASK        0x00000004
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_SHARF_REG_RD_FAIL_SHIFT       2

/* SCRUB_CTRL :: SCRUB_STATUS :: SCRUB_BUSY [01:01] */
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_SCRUB_BUSY_MASK               0x00000002
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_SCRUB_BUSY_SHIFT              1

/* SCRUB_CTRL :: SCRUB_STATUS :: SCRAM_KEY_BUSY [00:00] */
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_SCRAM_KEY_BUSY_MASK           0x00000001
#define BCHP_SCRUB_CTRL_SCRUB_STATUS_SCRAM_KEY_BUSY_SHIFT          0

/***************************************************************************
 *CR - CR Word Register
 ***************************************************************************/
/* SCRUB_CTRL :: CR :: CR_WORD [31:00] */
#define BCHP_SCRUB_CTRL_CR_CR_WORD_MASK                            0xffffffff
#define BCHP_SCRUB_CTRL_CR_CR_WORD_SHIFT                           0

/***************************************************************************
 *ECC_DONE - OTP ECC Done Register
 ***************************************************************************/
/* SCRUB_CTRL :: ECC_DONE :: ECC_STATUS [31:00] */
#define BCHP_SCRUB_CTRL_ECC_DONE_ECC_STATUS_MASK                   0xffffffff
#define BCHP_SCRUB_CTRL_ECC_DONE_ECC_STATUS_SHIFT                  0

/***************************************************************************
 *ECC_FAULT - OTP ECC Fault Register
 ***************************************************************************/
/* SCRUB_CTRL :: ECC_FAULT :: ECC_STATUS [31:00] */
#define BCHP_SCRUB_CTRL_ECC_FAULT_ECC_STATUS_MASK                  0xffffffff
#define BCHP_SCRUB_CTRL_ECC_FAULT_ECC_STATUS_SHIFT                 0

/***************************************************************************
 *ECC_FAIL - OTP ECC Fail Register
 ***************************************************************************/
/* SCRUB_CTRL :: ECC_FAIL :: ECC_STATUS [31:00] */
#define BCHP_SCRUB_CTRL_ECC_FAIL_ECC_STATUS_MASK                   0xffffffff
#define BCHP_SCRUB_CTRL_ECC_FAIL_ECC_STATUS_SHIFT                  0

/***************************************************************************
 *KEY0_31_0 - Key0 [31:0]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY0_31_0 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY0_31_0_KEY_MASK                         0xffffffff
#define BCHP_SCRUB_CTRL_KEY0_31_0_KEY_SHIFT                        0

/***************************************************************************
 *KEY0_63_32 - Key0 [63:32]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY0_63_32 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY0_63_32_KEY_MASK                        0xffffffff
#define BCHP_SCRUB_CTRL_KEY0_63_32_KEY_SHIFT                       0

/***************************************************************************
 *KEY0_95_64 - Key0 [95:64]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY0_95_64 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY0_95_64_KEY_MASK                        0xffffffff
#define BCHP_SCRUB_CTRL_KEY0_95_64_KEY_SHIFT                       0

/***************************************************************************
 *KEY0_127_96 - Key0 [127:96]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY0_127_96 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY0_127_96_KEY_MASK                       0xffffffff
#define BCHP_SCRUB_CTRL_KEY0_127_96_KEY_SHIFT                      0

/***************************************************************************
 *KEY0_PS_31_0 - Key0 Post scramble [31:0]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY0_PS_31_0 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY0_PS_31_0_KEY_MASK                      0xffffffff
#define BCHP_SCRUB_CTRL_KEY0_PS_31_0_KEY_SHIFT                     0

/***************************************************************************
 *KEY0_PS_63_32 - Key0 Post scramble [63:32]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY0_PS_63_32 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY0_PS_63_32_KEY_MASK                     0xffffffff
#define BCHP_SCRUB_CTRL_KEY0_PS_63_32_KEY_SHIFT                    0

/***************************************************************************
 *KEY0_PS_95_64 - Key0 Post scramble [95:64]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY0_PS_95_64 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY0_PS_95_64_KEY_MASK                     0xffffffff
#define BCHP_SCRUB_CTRL_KEY0_PS_95_64_KEY_SHIFT                    0

/***************************************************************************
 *KEY0_PS_127_96 - Key0 Post scramble [127:96]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY0_PS_127_96 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY0_PS_127_96_KEY_MASK                    0xffffffff
#define BCHP_SCRUB_CTRL_KEY0_PS_127_96_KEY_SHIFT                   0

/***************************************************************************
 *KEY1_31_0 - Key1 [31:0]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY1_31_0 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY1_31_0_KEY_MASK                         0xffffffff
#define BCHP_SCRUB_CTRL_KEY1_31_0_KEY_SHIFT                        0

/***************************************************************************
 *KEY1_63_32 - Key1 [63:32]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY1_63_32 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY1_63_32_KEY_MASK                        0xffffffff
#define BCHP_SCRUB_CTRL_KEY1_63_32_KEY_SHIFT                       0

/***************************************************************************
 *KEY1_95_64 - Key1 [95:64]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY1_95_64 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY1_95_64_KEY_MASK                        0xffffffff
#define BCHP_SCRUB_CTRL_KEY1_95_64_KEY_SHIFT                       0

/***************************************************************************
 *KEY1_127_96 - Key1 [127:96]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY1_127_96 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY1_127_96_KEY_MASK                       0xffffffff
#define BCHP_SCRUB_CTRL_KEY1_127_96_KEY_SHIFT                      0

/***************************************************************************
 *KEY1_PS_31_0 - Key1 Post scramble [31:0]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY1_PS_31_0 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY1_PS_31_0_KEY_MASK                      0xffffffff
#define BCHP_SCRUB_CTRL_KEY1_PS_31_0_KEY_SHIFT                     0

/***************************************************************************
 *KEY1_PS_63_32 - Key1 Post scramble [63:32]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY1_PS_63_32 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY1_PS_63_32_KEY_MASK                     0xffffffff
#define BCHP_SCRUB_CTRL_KEY1_PS_63_32_KEY_SHIFT                    0

/***************************************************************************
 *KEY1_PS_95_64 - Key1 Post scramble [95:64]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY1_PS_95_64 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY1_PS_95_64_KEY_MASK                     0xffffffff
#define BCHP_SCRUB_CTRL_KEY1_PS_95_64_KEY_SHIFT                    0

/***************************************************************************
 *KEY1_PS_127_96 - Key1 Post scramble [127:96]
 ***************************************************************************/
/* SCRUB_CTRL :: KEY1_PS_127_96 :: KEY [31:00] */
#define BCHP_SCRUB_CTRL_KEY1_PS_127_96_KEY_MASK                    0xffffffff
#define BCHP_SCRUB_CTRL_KEY1_PS_127_96_KEY_SHIFT                   0

#endif /* #ifndef BCHP_SCRUB_CTRL_H__ */

/* End of File */
