/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_sharf_top.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:19p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:43:02 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_sharf_top.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:19p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_SHARF_TOP_H__
#define BCHP_SHARF_TOP_H__

/***************************************************************************
 *SHARF_TOP - SHARF Control Registers
 ***************************************************************************/
#define BCHP_SHARF_TOP_REVISION                  0x000f4000 /* SHARF REVISION */
#define BCHP_SHARF_TOP_STATUS                    0x000f4004 /* SHARF Status */
#define BCHP_SHARF_TOP_SHA0_31_00                0x000f4008 /* SHA Context0 State[31:0] */
#define BCHP_SHARF_TOP_SHA0_63_32                0x000f400c /* SHA Context0 State[63:32] */
#define BCHP_SHARF_TOP_SHA0_95_64                0x000f4010 /* SHA Context0 State[95:64] */
#define BCHP_SHARF_TOP_SHA0_127_96               0x000f4014 /* SHA Context0 State[127:96] */
#define BCHP_SHARF_TOP_SHA0_159_128              0x000f4018 /* SHA Context0 State[159:128] */
#define BCHP_SHARF_TOP_SHA0_191_160              0x000f401c /* SHA Context0 State[191:160] */
#define BCHP_SHARF_TOP_SHA0_223_192              0x000f4020 /* SHA Context0 State[223:192] */
#define BCHP_SHARF_TOP_SHA0_255_224              0x000f4024 /* SHA Context0 State[255:224] */
#define BCHP_SHARF_TOP_SHA1_31_00                0x000f4028 /* SHA Context1 State[31:0] */
#define BCHP_SHARF_TOP_SHA1_63_32                0x000f402c /* SHA Context1 State[63:32] */
#define BCHP_SHARF_TOP_SHA1_95_64                0x000f4030 /* SHA Context1 State[95:64] */
#define BCHP_SHARF_TOP_SHA1_127_96               0x000f4034 /* SHA Context1 State[127:96] */
#define BCHP_SHARF_TOP_SHA1_159_128              0x000f4038 /* SHA Context1 State[159:128] */
#define BCHP_SHARF_TOP_SHA1_191_160              0x000f403c /* SHA Context1 State[191:160] */
#define BCHP_SHARF_TOP_SHA1_223_192              0x000f4040 /* SHA Context1 State[223:192] */
#define BCHP_SHARF_TOP_SHA1_255_224              0x000f4044 /* SHA Context1 State[255:224] */
#define BCHP_SHARF_TOP_SHA2_31_00                0x000f4048 /* SHA Context2 State[31:0] */
#define BCHP_SHARF_TOP_SHA2_63_32                0x000f404c /* SHA Context2 State[63:32] */
#define BCHP_SHARF_TOP_SHA2_95_64                0x000f4050 /* SHA Context2 State[95:64] */
#define BCHP_SHARF_TOP_SHA2_127_96               0x000f4054 /* SHA Context2 State[127:96] */
#define BCHP_SHARF_TOP_SHA2_159_128              0x000f4058 /* SHA Context2 State[159:128] */
#define BCHP_SHARF_TOP_SHA2_191_160              0x000f405c /* SHA Context2 State[191:160] */
#define BCHP_SHARF_TOP_SHA2_223_192              0x000f4060 /* SHA Context2 State[223:192] */
#define BCHP_SHARF_TOP_SHA2_255_224              0x000f4064 /* SHA Context2 State[255:224] */
#define BCHP_SHARF_TOP_CMAC0_31_00               0x000f4068 /* CMAC Context0 State[31:0] */
#define BCHP_SHARF_TOP_CMAC0_63_32               0x000f406c /* CMAC Context0 State[63:32] */
#define BCHP_SHARF_TOP_CMAC0_95_64               0x000f4070 /* CMAC Context0 State[95:64] */
#define BCHP_SHARF_TOP_CMAC0_127_96              0x000f4074 /* CMAC Context0 State[127:96] */
#define BCHP_SHARF_TOP_CMAC1_31_00               0x000f4078 /* CMAC Context1 State[31:0] */
#define BCHP_SHARF_TOP_CMAC1_63_32               0x000f407c /* CMAC Context1 State[63:32] */
#define BCHP_SHARF_TOP_CMAC1_95_64               0x000f4080 /* CMAC Context1 State[95:64] */
#define BCHP_SHARF_TOP_CMAC1_127_96              0x000f4084 /* CMAC Context1 State[127:96] */
#define BCHP_SHARF_TOP_CTXT0_FAIL_ID             0x000f4088 /* Context 0 Fail ID register */
#define BCHP_SHARF_TOP_CTXT1_FAIL_ID             0x000f408c /* Context 1 Fail ID register */
#define BCHP_SHARF_TOP_CTXT2_FAIL_ID             0x000f4090 /* Context 2 Fail ID register (SHA only) */
#define BCHP_SHARF_TOP_ERR_STATUS                0x000f4094 /* SHARF Error Status */

/***************************************************************************
 *REVISION - SHARF REVISION
 ***************************************************************************/
/* SHARF_TOP :: REVISION :: reserved0 [31:16] */
#define BCHP_SHARF_TOP_REVISION_reserved0_MASK                     0xffff0000
#define BCHP_SHARF_TOP_REVISION_reserved0_SHIFT                    16

/* SHARF_TOP :: REVISION :: MAJOR [15:08] */
#define BCHP_SHARF_TOP_REVISION_MAJOR_MASK                         0x0000ff00
#define BCHP_SHARF_TOP_REVISION_MAJOR_SHIFT                        8

/* SHARF_TOP :: REVISION :: MINOR [07:00] */
#define BCHP_SHARF_TOP_REVISION_MINOR_MASK                         0x000000ff
#define BCHP_SHARF_TOP_REVISION_MINOR_SHIFT                        0

/***************************************************************************
 *STATUS - SHARF Status
 ***************************************************************************/
/* SHARF_TOP :: STATUS :: reserved0 [31:04] */
#define BCHP_SHARF_TOP_STATUS_reserved0_MASK                       0xfffffff0
#define BCHP_SHARF_TOP_STATUS_reserved0_SHIFT                      4

/* SHARF_TOP :: STATUS :: FAIL2 [03:03] */
#define BCHP_SHARF_TOP_STATUS_FAIL2_MASK                           0x00000008
#define BCHP_SHARF_TOP_STATUS_FAIL2_SHIFT                          3

/* SHARF_TOP :: STATUS :: FAIL1 [02:02] */
#define BCHP_SHARF_TOP_STATUS_FAIL1_MASK                           0x00000004
#define BCHP_SHARF_TOP_STATUS_FAIL1_SHIFT                          2

/* SHARF_TOP :: STATUS :: FAIL0 [01:01] */
#define BCHP_SHARF_TOP_STATUS_FAIL0_MASK                           0x00000002
#define BCHP_SHARF_TOP_STATUS_FAIL0_SHIFT                          1

/* SHARF_TOP :: STATUS :: ACTIVE [00:00] */
#define BCHP_SHARF_TOP_STATUS_ACTIVE_MASK                          0x00000001
#define BCHP_SHARF_TOP_STATUS_ACTIVE_SHIFT                         0

/***************************************************************************
 *SHA0_31_00 - SHA Context0 State[31:0]
 ***************************************************************************/
/* SHARF_TOP :: SHA0_31_00 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA0_31_00_STATE_MASK                       0xffffffff
#define BCHP_SHARF_TOP_SHA0_31_00_STATE_SHIFT                      0

/***************************************************************************
 *SHA0_63_32 - SHA Context0 State[63:32]
 ***************************************************************************/
/* SHARF_TOP :: SHA0_63_32 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA0_63_32_STATE_MASK                       0xffffffff
#define BCHP_SHARF_TOP_SHA0_63_32_STATE_SHIFT                      0

/***************************************************************************
 *SHA0_95_64 - SHA Context0 State[95:64]
 ***************************************************************************/
/* SHARF_TOP :: SHA0_95_64 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA0_95_64_STATE_MASK                       0xffffffff
#define BCHP_SHARF_TOP_SHA0_95_64_STATE_SHIFT                      0

/***************************************************************************
 *SHA0_127_96 - SHA Context0 State[127:96]
 ***************************************************************************/
/* SHARF_TOP :: SHA0_127_96 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA0_127_96_STATE_MASK                      0xffffffff
#define BCHP_SHARF_TOP_SHA0_127_96_STATE_SHIFT                     0

/***************************************************************************
 *SHA0_159_128 - SHA Context0 State[159:128]
 ***************************************************************************/
/* SHARF_TOP :: SHA0_159_128 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA0_159_128_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA0_159_128_STATE_SHIFT                    0

/***************************************************************************
 *SHA0_191_160 - SHA Context0 State[191:160]
 ***************************************************************************/
/* SHARF_TOP :: SHA0_191_160 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA0_191_160_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA0_191_160_STATE_SHIFT                    0

/***************************************************************************
 *SHA0_223_192 - SHA Context0 State[223:192]
 ***************************************************************************/
/* SHARF_TOP :: SHA0_223_192 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA0_223_192_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA0_223_192_STATE_SHIFT                    0

/***************************************************************************
 *SHA0_255_224 - SHA Context0 State[255:224]
 ***************************************************************************/
/* SHARF_TOP :: SHA0_255_224 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA0_255_224_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA0_255_224_STATE_SHIFT                    0

/***************************************************************************
 *SHA1_31_00 - SHA Context1 State[31:0]
 ***************************************************************************/
/* SHARF_TOP :: SHA1_31_00 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA1_31_00_STATE_MASK                       0xffffffff
#define BCHP_SHARF_TOP_SHA1_31_00_STATE_SHIFT                      0

/***************************************************************************
 *SHA1_63_32 - SHA Context1 State[63:32]
 ***************************************************************************/
/* SHARF_TOP :: SHA1_63_32 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA1_63_32_STATE_MASK                       0xffffffff
#define BCHP_SHARF_TOP_SHA1_63_32_STATE_SHIFT                      0

/***************************************************************************
 *SHA1_95_64 - SHA Context1 State[95:64]
 ***************************************************************************/
/* SHARF_TOP :: SHA1_95_64 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA1_95_64_STATE_MASK                       0xffffffff
#define BCHP_SHARF_TOP_SHA1_95_64_STATE_SHIFT                      0

/***************************************************************************
 *SHA1_127_96 - SHA Context1 State[127:96]
 ***************************************************************************/
/* SHARF_TOP :: SHA1_127_96 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA1_127_96_STATE_MASK                      0xffffffff
#define BCHP_SHARF_TOP_SHA1_127_96_STATE_SHIFT                     0

/***************************************************************************
 *SHA1_159_128 - SHA Context1 State[159:128]
 ***************************************************************************/
/* SHARF_TOP :: SHA1_159_128 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA1_159_128_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA1_159_128_STATE_SHIFT                    0

/***************************************************************************
 *SHA1_191_160 - SHA Context1 State[191:160]
 ***************************************************************************/
/* SHARF_TOP :: SHA1_191_160 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA1_191_160_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA1_191_160_STATE_SHIFT                    0

/***************************************************************************
 *SHA1_223_192 - SHA Context1 State[223:192]
 ***************************************************************************/
/* SHARF_TOP :: SHA1_223_192 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA1_223_192_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA1_223_192_STATE_SHIFT                    0

/***************************************************************************
 *SHA1_255_224 - SHA Context1 State[255:224]
 ***************************************************************************/
/* SHARF_TOP :: SHA1_255_224 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA1_255_224_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA1_255_224_STATE_SHIFT                    0

/***************************************************************************
 *SHA2_31_00 - SHA Context2 State[31:0]
 ***************************************************************************/
/* SHARF_TOP :: SHA2_31_00 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA2_31_00_STATE_MASK                       0xffffffff
#define BCHP_SHARF_TOP_SHA2_31_00_STATE_SHIFT                      0

/***************************************************************************
 *SHA2_63_32 - SHA Context2 State[63:32]
 ***************************************************************************/
/* SHARF_TOP :: SHA2_63_32 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA2_63_32_STATE_MASK                       0xffffffff
#define BCHP_SHARF_TOP_SHA2_63_32_STATE_SHIFT                      0

/***************************************************************************
 *SHA2_95_64 - SHA Context2 State[95:64]
 ***************************************************************************/
/* SHARF_TOP :: SHA2_95_64 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA2_95_64_STATE_MASK                       0xffffffff
#define BCHP_SHARF_TOP_SHA2_95_64_STATE_SHIFT                      0

/***************************************************************************
 *SHA2_127_96 - SHA Context2 State[127:96]
 ***************************************************************************/
/* SHARF_TOP :: SHA2_127_96 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA2_127_96_STATE_MASK                      0xffffffff
#define BCHP_SHARF_TOP_SHA2_127_96_STATE_SHIFT                     0

/***************************************************************************
 *SHA2_159_128 - SHA Context2 State[159:128]
 ***************************************************************************/
/* SHARF_TOP :: SHA2_159_128 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA2_159_128_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA2_159_128_STATE_SHIFT                    0

/***************************************************************************
 *SHA2_191_160 - SHA Context2 State[191:160]
 ***************************************************************************/
/* SHARF_TOP :: SHA2_191_160 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA2_191_160_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA2_191_160_STATE_SHIFT                    0

/***************************************************************************
 *SHA2_223_192 - SHA Context2 State[223:192]
 ***************************************************************************/
/* SHARF_TOP :: SHA2_223_192 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA2_223_192_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA2_223_192_STATE_SHIFT                    0

/***************************************************************************
 *SHA2_255_224 - SHA Context2 State[255:224]
 ***************************************************************************/
/* SHARF_TOP :: SHA2_255_224 :: STATE [31:00] */
#define BCHP_SHARF_TOP_SHA2_255_224_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_SHA2_255_224_STATE_SHIFT                    0

/***************************************************************************
 *CMAC0_31_00 - CMAC Context0 State[31:0]
 ***************************************************************************/
/* SHARF_TOP :: CMAC0_31_00 :: STATE [31:00] */
#define BCHP_SHARF_TOP_CMAC0_31_00_STATE_MASK                      0xffffffff
#define BCHP_SHARF_TOP_CMAC0_31_00_STATE_SHIFT                     0

/***************************************************************************
 *CMAC0_63_32 - CMAC Context0 State[63:32]
 ***************************************************************************/
/* SHARF_TOP :: CMAC0_63_32 :: STATE [31:00] */
#define BCHP_SHARF_TOP_CMAC0_63_32_STATE_MASK                      0xffffffff
#define BCHP_SHARF_TOP_CMAC0_63_32_STATE_SHIFT                     0

/***************************************************************************
 *CMAC0_95_64 - CMAC Context0 State[95:64]
 ***************************************************************************/
/* SHARF_TOP :: CMAC0_95_64 :: STATE [31:00] */
#define BCHP_SHARF_TOP_CMAC0_95_64_STATE_MASK                      0xffffffff
#define BCHP_SHARF_TOP_CMAC0_95_64_STATE_SHIFT                     0

/***************************************************************************
 *CMAC0_127_96 - CMAC Context0 State[127:96]
 ***************************************************************************/
/* SHARF_TOP :: CMAC0_127_96 :: STATE [31:00] */
#define BCHP_SHARF_TOP_CMAC0_127_96_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_CMAC0_127_96_STATE_SHIFT                    0

/***************************************************************************
 *CMAC1_31_00 - CMAC Context1 State[31:0]
 ***************************************************************************/
/* SHARF_TOP :: CMAC1_31_00 :: STATE [31:00] */
#define BCHP_SHARF_TOP_CMAC1_31_00_STATE_MASK                      0xffffffff
#define BCHP_SHARF_TOP_CMAC1_31_00_STATE_SHIFT                     0

/***************************************************************************
 *CMAC1_63_32 - CMAC Context1 State[63:32]
 ***************************************************************************/
/* SHARF_TOP :: CMAC1_63_32 :: STATE [31:00] */
#define BCHP_SHARF_TOP_CMAC1_63_32_STATE_MASK                      0xffffffff
#define BCHP_SHARF_TOP_CMAC1_63_32_STATE_SHIFT                     0

/***************************************************************************
 *CMAC1_95_64 - CMAC Context1 State[95:64]
 ***************************************************************************/
/* SHARF_TOP :: CMAC1_95_64 :: STATE [31:00] */
#define BCHP_SHARF_TOP_CMAC1_95_64_STATE_MASK                      0xffffffff
#define BCHP_SHARF_TOP_CMAC1_95_64_STATE_SHIFT                     0

/***************************************************************************
 *CMAC1_127_96 - CMAC Context1 State[127:96]
 ***************************************************************************/
/* SHARF_TOP :: CMAC1_127_96 :: STATE [31:00] */
#define BCHP_SHARF_TOP_CMAC1_127_96_STATE_MASK                     0xffffffff
#define BCHP_SHARF_TOP_CMAC1_127_96_STATE_SHIFT                    0

/***************************************************************************
 *CTXT0_FAIL_ID - Context 0 Fail ID register
 ***************************************************************************/
/* SHARF_TOP :: CTXT0_FAIL_ID :: ID [31:00] */
#define BCHP_SHARF_TOP_CTXT0_FAIL_ID_ID_MASK                       0xffffffff
#define BCHP_SHARF_TOP_CTXT0_FAIL_ID_ID_SHIFT                      0

/***************************************************************************
 *CTXT1_FAIL_ID - Context 1 Fail ID register
 ***************************************************************************/
/* SHARF_TOP :: CTXT1_FAIL_ID :: ID [31:00] */
#define BCHP_SHARF_TOP_CTXT1_FAIL_ID_ID_MASK                       0xffffffff
#define BCHP_SHARF_TOP_CTXT1_FAIL_ID_ID_SHIFT                      0

/***************************************************************************
 *CTXT2_FAIL_ID - Context 2 Fail ID register (SHA only)
 ***************************************************************************/
/* SHARF_TOP :: CTXT2_FAIL_ID :: ID [31:00] */
#define BCHP_SHARF_TOP_CTXT2_FAIL_ID_ID_MASK                       0xffffffff
#define BCHP_SHARF_TOP_CTXT2_FAIL_ID_ID_SHIFT                      0

/***************************************************************************
 *ERR_STATUS - SHARF Error Status
 ***************************************************************************/
/* SHARF_TOP :: ERR_STATUS :: reserved0 [31:08] */
#define BCHP_SHARF_TOP_ERR_STATUS_reserved0_MASK                   0xffffff00
#define BCHP_SHARF_TOP_ERR_STATUS_reserved0_SHIFT                  8

/* SHARF_TOP :: ERR_STATUS :: FRAME_ERR1 [07:07] */
#define BCHP_SHARF_TOP_ERR_STATUS_FRAME_ERR1_MASK                  0x00000080
#define BCHP_SHARF_TOP_ERR_STATUS_FRAME_ERR1_SHIFT                 7

/* SHARF_TOP :: ERR_STATUS :: FRAME_ERR0 [06:06] */
#define BCHP_SHARF_TOP_ERR_STATUS_FRAME_ERR0_MASK                  0x00000040
#define BCHP_SHARF_TOP_ERR_STATUS_FRAME_ERR0_SHIFT                 6

/* SHARF_TOP :: ERR_STATUS :: AES_ALIGN_ERR1 [05:05] */
#define BCHP_SHARF_TOP_ERR_STATUS_AES_ALIGN_ERR1_MASK              0x00000020
#define BCHP_SHARF_TOP_ERR_STATUS_AES_ALIGN_ERR1_SHIFT             5

/* SHARF_TOP :: ERR_STATUS :: AES_ALIGN_ERR0 [04:04] */
#define BCHP_SHARF_TOP_ERR_STATUS_AES_ALIGN_ERR0_MASK              0x00000010
#define BCHP_SHARF_TOP_ERR_STATUS_AES_ALIGN_ERR0_SHIFT             4

/* SHARF_TOP :: ERR_STATUS :: SIZE_ERR1 [03:03] */
#define BCHP_SHARF_TOP_ERR_STATUS_SIZE_ERR1_MASK                   0x00000008
#define BCHP_SHARF_TOP_ERR_STATUS_SIZE_ERR1_SHIFT                  3

/* SHARF_TOP :: ERR_STATUS :: SIZE_ERR0 [02:02] */
#define BCHP_SHARF_TOP_ERR_STATUS_SIZE_ERR0_MASK                   0x00000004
#define BCHP_SHARF_TOP_ERR_STATUS_SIZE_ERR0_SHIFT                  2

/* SHARF_TOP :: ERR_STATUS :: AES_BSP_KEY_ERR1 [01:01] */
#define BCHP_SHARF_TOP_ERR_STATUS_AES_BSP_KEY_ERR1_MASK            0x00000002
#define BCHP_SHARF_TOP_ERR_STATUS_AES_BSP_KEY_ERR1_SHIFT           1

/* SHARF_TOP :: ERR_STATUS :: AES_BSP_KEY_ERR0 [00:00] */
#define BCHP_SHARF_TOP_ERR_STATUS_AES_BSP_KEY_ERR0_MASK            0x00000001
#define BCHP_SHARF_TOP_ERR_STATUS_AES_BSP_KEY_ERR0_SHIFT           0

#endif /* #ifndef BCHP_SHARF_TOP_H__ */

/* End of File */
