/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_sun_rgr.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:20p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:42:14 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_sun_rgr.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:20p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_SUN_RGR_H__
#define BCHP_SUN_RGR_H__

/***************************************************************************
 *SUN_RGR - Registers for the Sundry block's RGR bridge
 ***************************************************************************/
#define BCHP_SUN_RGR_REVISION                    0x00400800 /* RGR Bridge Revision */
#define BCHP_SUN_RGR_CTRL                        0x00400804 /* RGR Bridge Control Register */
#define BCHP_SUN_RGR_RBUS_TIMER                  0x00400808 /* RGR Bridge RBUS Timer Register */
#define BCHP_SUN_RGR_SW_RESET_0                  0x0040080c /* RGR Bridge Software Reset 0 Register */
#define BCHP_SUN_RGR_SW_RESET_1                  0x00400810 /* RGR Bridge Software Reset 1 Register */

/***************************************************************************
 *REVISION - RGR Bridge Revision
 ***************************************************************************/
/* SUN_RGR :: REVISION :: reserved0 [31:16] */
#define BCHP_SUN_RGR_REVISION_reserved0_MASK                       0xffff0000
#define BCHP_SUN_RGR_REVISION_reserved0_SHIFT                      16

/* SUN_RGR :: REVISION :: MAJOR [15:08] */
#define BCHP_SUN_RGR_REVISION_MAJOR_MASK                           0x0000ff00
#define BCHP_SUN_RGR_REVISION_MAJOR_SHIFT                          8

/* SUN_RGR :: REVISION :: MINOR [07:00] */
#define BCHP_SUN_RGR_REVISION_MINOR_MASK                           0x000000ff
#define BCHP_SUN_RGR_REVISION_MINOR_SHIFT                          0

/***************************************************************************
 *CTRL - RGR Bridge Control Register
 ***************************************************************************/
/* SUN_RGR :: CTRL :: reserved0 [31:02] */
#define BCHP_SUN_RGR_CTRL_reserved0_MASK                           0xfffffffc
#define BCHP_SUN_RGR_CTRL_reserved0_SHIFT                          2

/* SUN_RGR :: CTRL :: rbus_error_intr [01:01] */
#define BCHP_SUN_RGR_CTRL_rbus_error_intr_MASK                     0x00000002
#define BCHP_SUN_RGR_CTRL_rbus_error_intr_SHIFT                    1
#define BCHP_SUN_RGR_CTRL_rbus_error_intr_INTR_DISABLE             0
#define BCHP_SUN_RGR_CTRL_rbus_error_intr_INTR_ENABLE              1

/* SUN_RGR :: CTRL :: gisb_error_intr [00:00] */
#define BCHP_SUN_RGR_CTRL_gisb_error_intr_MASK                     0x00000001
#define BCHP_SUN_RGR_CTRL_gisb_error_intr_SHIFT                    0
#define BCHP_SUN_RGR_CTRL_gisb_error_intr_INTR_DISABLE             0
#define BCHP_SUN_RGR_CTRL_gisb_error_intr_INTR_ENABLE              1

/***************************************************************************
 *RBUS_TIMER - RGR Bridge RBUS Timer Register
 ***************************************************************************/
/* SUN_RGR :: RBUS_TIMER :: reserved0 [31:16] */
#define BCHP_SUN_RGR_RBUS_TIMER_reserved0_MASK                     0xffff0000
#define BCHP_SUN_RGR_RBUS_TIMER_reserved0_SHIFT                    16

/* SUN_RGR :: RBUS_TIMER :: timer_value [15:00] */
#define BCHP_SUN_RGR_RBUS_TIMER_timer_value_MASK                   0x0000ffff
#define BCHP_SUN_RGR_RBUS_TIMER_timer_value_SHIFT                  0

/***************************************************************************
 *SW_RESET_0 - RGR Bridge Software Reset 0 Register
 ***************************************************************************/
/* SUN_RGR :: SW_RESET_0 :: reserved0 [31:01] */
#define BCHP_SUN_RGR_SW_RESET_0_reserved0_MASK                     0xfffffffe
#define BCHP_SUN_RGR_SW_RESET_0_reserved0_SHIFT                    1

/* SUN_RGR :: SW_RESET_0 :: ccb_arbiter_sw_reset [00:00] */
#define BCHP_SUN_RGR_SW_RESET_0_ccb_arbiter_sw_reset_MASK          0x00000001
#define BCHP_SUN_RGR_SW_RESET_0_ccb_arbiter_sw_reset_SHIFT         0

/***************************************************************************
 *SW_RESET_1 - RGR Bridge Software Reset 1 Register
 ***************************************************************************/
/* SUN_RGR :: SW_RESET_1 :: reserved0 [31:01] */
#define BCHP_SUN_RGR_SW_RESET_1_reserved0_MASK                     0xfffffffe
#define BCHP_SUN_RGR_SW_RESET_1_reserved0_SHIFT                    1

/* SUN_RGR :: SW_RESET_1 :: unused_sw_reset [00:00] */
#define BCHP_SUN_RGR_SW_RESET_1_unused_sw_reset_MASK               0x00000001
#define BCHP_SUN_RGR_SW_RESET_1_unused_sw_reset_SHIFT              0

#endif /* #ifndef BCHP_SUN_RGR_H__ */

/* End of File */
