/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_wakeup_ctrl2.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:22p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:42:03 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_wakeup_ctrl2.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:22p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_WAKEUP_CTRL2_H__
#define BCHP_WAKEUP_CTRL2_H__

/***************************************************************************
 *WAKEUP_CTRL2 - Wakeup Controller Registers
 ***************************************************************************/
#define BCHP_WAKEUP_CTRL2_STATUS                 0x00406c00 /* Wake-Up Status Register */
#define BCHP_WAKEUP_CTRL2_SET                    0x00406c04 /* Wake-Up Set Register */
#define BCHP_WAKEUP_CTRL2_CLEAR                  0x00406c08 /* Wake-Up Clear Register */
#define BCHP_WAKEUP_CTRL2_MASK_STATUS            0x00406c0c /* Wake-Up Mask Status Register */
#define BCHP_WAKEUP_CTRL2_MASK_SET               0x00406c10 /* Wake-Up Mask Set Register */
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR             0x00406c14 /* Wake-Up Mask Clear Register */

/***************************************************************************
 *STATUS - Wake-Up Status Register
 ***************************************************************************/
/* WAKEUP_CTRL2 :: STATUS :: reserved0 [31:06] */
#define BCHP_WAKEUP_CTRL2_STATUS_reserved0_MASK                    0xffffffc0
#define BCHP_WAKEUP_CTRL2_STATUS_reserved0_SHIFT                   6

/* WAKEUP_CTRL2 :: STATUS :: GIO [05:05] */
#define BCHP_WAKEUP_CTRL2_STATUS_GIO_MASK                          0x00000020
#define BCHP_WAKEUP_CTRL2_STATUS_GIO_SHIFT                         5

/* WAKEUP_CTRL2 :: STATUS :: UART2 [04:04] */
#define BCHP_WAKEUP_CTRL2_STATUS_UART2_MASK                        0x00000010
#define BCHP_WAKEUP_CTRL2_STATUS_UART2_SHIFT                       4

/* WAKEUP_CTRL2 :: STATUS :: UART1 [03:03] */
#define BCHP_WAKEUP_CTRL2_STATUS_UART1_MASK                        0x00000008
#define BCHP_WAKEUP_CTRL2_STATUS_UART1_SHIFT                       3

/* WAKEUP_CTRL2 :: STATUS :: UART0 [02:02] */
#define BCHP_WAKEUP_CTRL2_STATUS_UART0_MASK                        0x00000004
#define BCHP_WAKEUP_CTRL2_STATUS_UART0_SHIFT                       2

/* WAKEUP_CTRL2 :: STATUS :: WAKEUP_TIMER [01:01] */
#define BCHP_WAKEUP_CTRL2_STATUS_WAKEUP_TIMER_MASK                 0x00000002
#define BCHP_WAKEUP_CTRL2_STATUS_WAKEUP_TIMER_SHIFT                1

/* WAKEUP_CTRL2 :: STATUS :: IRR [00:00] */
#define BCHP_WAKEUP_CTRL2_STATUS_IRR_MASK                          0x00000001
#define BCHP_WAKEUP_CTRL2_STATUS_IRR_SHIFT                         0

/***************************************************************************
 *SET - Wake-Up Set Register
 ***************************************************************************/
/* WAKEUP_CTRL2 :: SET :: reserved0 [31:06] */
#define BCHP_WAKEUP_CTRL2_SET_reserved0_MASK                       0xffffffc0
#define BCHP_WAKEUP_CTRL2_SET_reserved0_SHIFT                      6

/* WAKEUP_CTRL2 :: SET :: GIO [05:05] */
#define BCHP_WAKEUP_CTRL2_SET_GIO_MASK                             0x00000020
#define BCHP_WAKEUP_CTRL2_SET_GIO_SHIFT                            5

/* WAKEUP_CTRL2 :: SET :: UART2 [04:04] */
#define BCHP_WAKEUP_CTRL2_SET_UART2_MASK                           0x00000010
#define BCHP_WAKEUP_CTRL2_SET_UART2_SHIFT                          4

/* WAKEUP_CTRL2 :: SET :: UART1 [03:03] */
#define BCHP_WAKEUP_CTRL2_SET_UART1_MASK                           0x00000008
#define BCHP_WAKEUP_CTRL2_SET_UART1_SHIFT                          3

/* WAKEUP_CTRL2 :: SET :: UART0 [02:02] */
#define BCHP_WAKEUP_CTRL2_SET_UART0_MASK                           0x00000004
#define BCHP_WAKEUP_CTRL2_SET_UART0_SHIFT                          2

/* WAKEUP_CTRL2 :: SET :: WAKEUP_TIMER [01:01] */
#define BCHP_WAKEUP_CTRL2_SET_WAKEUP_TIMER_MASK                    0x00000002
#define BCHP_WAKEUP_CTRL2_SET_WAKEUP_TIMER_SHIFT                   1

/* WAKEUP_CTRL2 :: SET :: IRR [00:00] */
#define BCHP_WAKEUP_CTRL2_SET_IRR_MASK                             0x00000001
#define BCHP_WAKEUP_CTRL2_SET_IRR_SHIFT                            0

/***************************************************************************
 *CLEAR - Wake-Up Clear Register
 ***************************************************************************/
/* WAKEUP_CTRL2 :: CLEAR :: reserved0 [31:06] */
#define BCHP_WAKEUP_CTRL2_CLEAR_reserved0_MASK                     0xffffffc0
#define BCHP_WAKEUP_CTRL2_CLEAR_reserved0_SHIFT                    6

/* WAKEUP_CTRL2 :: CLEAR :: GIO [05:05] */
#define BCHP_WAKEUP_CTRL2_CLEAR_GIO_MASK                           0x00000020
#define BCHP_WAKEUP_CTRL2_CLEAR_GIO_SHIFT                          5

/* WAKEUP_CTRL2 :: CLEAR :: UART2 [04:04] */
#define BCHP_WAKEUP_CTRL2_CLEAR_UART2_MASK                         0x00000010
#define BCHP_WAKEUP_CTRL2_CLEAR_UART2_SHIFT                        4

/* WAKEUP_CTRL2 :: CLEAR :: UART1 [03:03] */
#define BCHP_WAKEUP_CTRL2_CLEAR_UART1_MASK                         0x00000008
#define BCHP_WAKEUP_CTRL2_CLEAR_UART1_SHIFT                        3

/* WAKEUP_CTRL2 :: CLEAR :: UART0 [02:02] */
#define BCHP_WAKEUP_CTRL2_CLEAR_UART0_MASK                         0x00000004
#define BCHP_WAKEUP_CTRL2_CLEAR_UART0_SHIFT                        2

/* WAKEUP_CTRL2 :: CLEAR :: WAKEUP_TIMER [01:01] */
#define BCHP_WAKEUP_CTRL2_CLEAR_WAKEUP_TIMER_MASK                  0x00000002
#define BCHP_WAKEUP_CTRL2_CLEAR_WAKEUP_TIMER_SHIFT                 1

/* WAKEUP_CTRL2 :: CLEAR :: IRR [00:00] */
#define BCHP_WAKEUP_CTRL2_CLEAR_IRR_MASK                           0x00000001
#define BCHP_WAKEUP_CTRL2_CLEAR_IRR_SHIFT                          0

/***************************************************************************
 *MASK_STATUS - Wake-Up Mask Status Register
 ***************************************************************************/
/* WAKEUP_CTRL2 :: MASK_STATUS :: reserved0 [31:06] */
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_reserved0_MASK               0xffffffc0
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_reserved0_SHIFT              6

/* WAKEUP_CTRL2 :: MASK_STATUS :: GIO [05:05] */
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_GIO_MASK                     0x00000020
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_GIO_SHIFT                    5

/* WAKEUP_CTRL2 :: MASK_STATUS :: UART2 [04:04] */
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_UART2_MASK                   0x00000010
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_UART2_SHIFT                  4

/* WAKEUP_CTRL2 :: MASK_STATUS :: UART1 [03:03] */
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_UART1_MASK                   0x00000008
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_UART1_SHIFT                  3

/* WAKEUP_CTRL2 :: MASK_STATUS :: UART0 [02:02] */
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_UART0_MASK                   0x00000004
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_UART0_SHIFT                  2

/* WAKEUP_CTRL2 :: MASK_STATUS :: WAKEUP_TIMER [01:01] */
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_WAKEUP_TIMER_MASK            0x00000002
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_WAKEUP_TIMER_SHIFT           1

/* WAKEUP_CTRL2 :: MASK_STATUS :: IRR [00:00] */
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_IRR_MASK                     0x00000001
#define BCHP_WAKEUP_CTRL2_MASK_STATUS_IRR_SHIFT                    0

/***************************************************************************
 *MASK_SET - Wake-Up Mask Set Register
 ***************************************************************************/
/* WAKEUP_CTRL2 :: MASK_SET :: reserved0 [31:06] */
#define BCHP_WAKEUP_CTRL2_MASK_SET_reserved0_MASK                  0xffffffc0
#define BCHP_WAKEUP_CTRL2_MASK_SET_reserved0_SHIFT                 6

/* WAKEUP_CTRL2 :: MASK_SET :: GIO [05:05] */
#define BCHP_WAKEUP_CTRL2_MASK_SET_GIO_MASK                        0x00000020
#define BCHP_WAKEUP_CTRL2_MASK_SET_GIO_SHIFT                       5

/* WAKEUP_CTRL2 :: MASK_SET :: UART2 [04:04] */
#define BCHP_WAKEUP_CTRL2_MASK_SET_UART2_MASK                      0x00000010
#define BCHP_WAKEUP_CTRL2_MASK_SET_UART2_SHIFT                     4

/* WAKEUP_CTRL2 :: MASK_SET :: UART1 [03:03] */
#define BCHP_WAKEUP_CTRL2_MASK_SET_UART1_MASK                      0x00000008
#define BCHP_WAKEUP_CTRL2_MASK_SET_UART1_SHIFT                     3

/* WAKEUP_CTRL2 :: MASK_SET :: UART0 [02:02] */
#define BCHP_WAKEUP_CTRL2_MASK_SET_UART0_MASK                      0x00000004
#define BCHP_WAKEUP_CTRL2_MASK_SET_UART0_SHIFT                     2

/* WAKEUP_CTRL2 :: MASK_SET :: WAKEUP_TIMER [01:01] */
#define BCHP_WAKEUP_CTRL2_MASK_SET_WAKEUP_TIMER_MASK               0x00000002
#define BCHP_WAKEUP_CTRL2_MASK_SET_WAKEUP_TIMER_SHIFT              1

/* WAKEUP_CTRL2 :: MASK_SET :: IRR [00:00] */
#define BCHP_WAKEUP_CTRL2_MASK_SET_IRR_MASK                        0x00000001
#define BCHP_WAKEUP_CTRL2_MASK_SET_IRR_SHIFT                       0

/***************************************************************************
 *MASK_CLEAR - Wake-Up Mask Clear Register
 ***************************************************************************/
/* WAKEUP_CTRL2 :: MASK_CLEAR :: reserved0 [31:06] */
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_reserved0_MASK                0xffffffc0
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_reserved0_SHIFT               6

/* WAKEUP_CTRL2 :: MASK_CLEAR :: GIO [05:05] */
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_GIO_MASK                      0x00000020
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_GIO_SHIFT                     5

/* WAKEUP_CTRL2 :: MASK_CLEAR :: UART2 [04:04] */
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_UART2_MASK                    0x00000010
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_UART2_SHIFT                   4

/* WAKEUP_CTRL2 :: MASK_CLEAR :: UART1 [03:03] */
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_UART1_MASK                    0x00000008
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_UART1_SHIFT                   3

/* WAKEUP_CTRL2 :: MASK_CLEAR :: UART0 [02:02] */
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_UART0_MASK                    0x00000004
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_UART0_SHIFT                   2

/* WAKEUP_CTRL2 :: MASK_CLEAR :: WAKEUP_TIMER [01:01] */
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_WAKEUP_TIMER_MASK             0x00000002
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_WAKEUP_TIMER_SHIFT            1

/* WAKEUP_CTRL2 :: MASK_CLEAR :: IRR [00:00] */
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_IRR_MASK                      0x00000001
#define BCHP_WAKEUP_CTRL2_MASK_CLEAR_IRR_SHIFT                     0

#endif /* #ifndef BCHP_WAKEUP_CTRL2_H__ */

/* End of File */
