/********************************************************************
 * Copyright(c) 2006-2009 Broadcom Corporation.
 *
 *  Name: crystalhd_flea_rdb.h
 *
 *  Description: common include for flea register definition.
 *
 *  AU
 *
 *  HISTORY:
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************/

//  70015\magnum\basemodules\chp\70015\rdb\a0

#include "bchp_armcr4_bridge.h"
#include "bchp_armcr4_bridge_axi_slave.h"
#include "bchp_arm_uart.h"
#include "bchp_avd_block_avg_regs_0.h"
#include "bchp_avd_cache_0.h"
#include "bchp_avd_gr_0.h"
#include "bchp_avd_intr2_0.h"
#include "bchp_bop_aes.h"
#include "bchp_bop_gr_bridge.h"
#include "bchp_bvnt_gr_bridge.h"
#include "bchp_bvnt_intr2.h"
#include "bchp_cce_rgr_bridge.h"
#include "bchp_clk.h"
#include "bchp_clk_gr.h"
#include "bchp_common.h"
#include "bchp_csc.h"
#include "bchp_ddr23_ctl_regs_0.h"
#include "bchp_ddr23_phy_byte_lane_0.h"
#include "bchp_ddr23_phy_byte_lane_1.h"
#include "bchp_ddr23_phy_control_regs.h"
#include "bchp_decode_cpuaux2_0.h"
#include "bchp_decode_cpuaux_0.h"
#include "bchp_decode_cpucore2_0.h"
#include "bchp_decode_cpucore_0.h"
#include "bchp_decode_cpudma2_0.h"
#include "bchp_decode_cpudma_0.h"
#include "bchp_decode_cpudmem2_0.h"
#include "bchp_decode_cpudmem_0.h"
#include "bchp_decode_cpuimem2_0.h"
#include "bchp_decode_cpuimem_0.h"
#include "bchp_decode_cpuregs2_0.h"
#include "bchp_decode_cpuregs_0.h"
#include "bchp_decode_dblk_0.h"
#include "bchp_decode_dmamem2_0.h"
#include "bchp_decode_dmamem_0.h"
#include "bchp_decode_dqnt_0.h"
#include "bchp_decode_dqnt_8x8_0.h"
#include "bchp_decode_ind_sdram_regs2_0.h"
#include "bchp_decode_ind_sdram_regs_0.h"
#include "bchp_decode_ip_shim_0.h"
#include "bchp_decode_main_0.h"
#include "bchp_decode_mb_0.h"
#include "bchp_decode_mcom_0.h"
#include "bchp_decode_rvc_0.h"
#include "bchp_decode_sint_0.h"
#include "bchp_decode_sint_oloop_0.h"
#include "bchp_decode_spre_0.h"
#include "bchp_decode_wprd_0.h"
#include "bchp_decode_wptbl_0.h"
#include "bchp_decode_xfrm_0.h"
#include "bchp_dnr.h"
#include "bchp_gio.h"
#include "bchp_i2c.h"
#include "bchp_i2c_gr_bridge.h"
#include "bchp_intr.h"
#include "bchp_int_id_irq0.h"
#include "bchp_int_id_timer.h"
#include "bchp_int_id_xpt_pb0.h"
#include "bchp_int_id_xpt_pb1.h"
#include "bchp_int_id_xpt_pb2.h"
#include "bchp_int_id_xpt_rave.h"
#include "bchp_irq0.h"
#include "bchp_irq1.h"
#include "bchp_l1_intr.h"
#include "bchp_mdio.h"
#include "bchp_mem_dma.h"
#include "bchp_mem_dma_secure.h"
#include "bchp_mfd.h"
#include "bchp_misc1.h"
#include "bchp_misc2.h"
#include "bchp_misc3.h"
#include "bchp_misc_gr_bridge.h"
#include "bchp_misc_perst.h"
#include "bchp_mmscram.h"
#include "bchp_pcie_cfg.h"
#include "bchp_pcie_dll.h"
#include "bchp_pcie_phy.h"
#include "bchp_pcie_tl.h"
#include "bchp_pm_l2.h"
#include "bchp_pri_arb_arch_regs.h"
#include "bchp_pri_arb_arc_l1_regs.h"
#include "bchp_pri_arb_control_regs.h"
#include "bchp_pri_arb_mips_l2_regs.h"
#include "bchp_pri_arb_msa_regs.h"
#include "bchp_pri_arb_sarch_regs.h"
#include "bchp_pri_arb_starch_regs.h"
#include "bchp_pri_arb_trace_regs.h"
#include "bchp_pri_arb_wrch_regs.h"
#include "bchp_pri_client_regs.h"
#include "bchp_pri_crit_l2_regs_1.h"
#include "bchp_pri_crit_l2_regs_2.h"
#include "bchp_pri_crit_l2_regs_3.h"
#include "bchp_pri_rts_l2_regs_1.h"
#include "bchp_pri_rts_l2_regs_2.h"
#include "bchp_pri_rts_l2_regs_3.h"
#include "bchp_reg_cabac2bins2_0.h"
#include "bchp_reg_cabac2bins_0.h"
#include "bchp_scl_hd.h"
#include "bchp_scrub_ctrl.h"
#include "bchp_sentinel.h"
#include "bchp_sharf_mem_dma0.h"
#include "bchp_sharf_top.h"
#include "bchp_sun_gisb_arb.h"
#include "bchp_sun_gisb_arb_sec.h"
#include "bchp_sun_l2.h"
#include "bchp_sun_rg.h"
#include "bchp_sun_rgr.h"
#include "bchp_sun_top_ctrl.h"
#include "bchp_tgt_rgr_bridge.h"
#include "bchp_timer.h"
#include "bchp_tmisc.h"
#include "bchp_trb_top.h"
#include "bchp_triple_sec.h"
#include "bchp_vich_0.h"
#include "bchp_wakeup_ctrl2.h"
#include "bchp_wrap_misc_gr_bridge.h"
#include "bchp_wrap_misc_intr2.h"
#include "bchp_wrap_misc_secure_intr2.h"
#include "bchp_xpt_bus_if.h"
#include "bchp_xpt_fe.h"
#include "bchp_xpt_gr.h"
#include "bchp_xpt_pb0.h"
#include "bchp_xpt_pb1.h"
#include "bchp_xpt_pb2.h"
#include "bchp_xpt_pcroffset.h"
#include "bchp_xpt_rave.h"
#include "bchp_xpt_xmemif.h"
#include "bchp_xpt_xpu.h"

