/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_xpt_pcroffset.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:25p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:43:05 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_xpt_pcroffset.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:25p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_XPT_PCROFFSET_H__
#define BCHP_XPT_PCROFFSET_H__

/***************************************************************************
 *XPT_PCROFFSET - XPT PCROFFSET Control Registers
 ***************************************************************************/
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS     0x00227000 /* PCR INTERRUPT STATUS register for Contexts 3 to 0 */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_ENABLE     0x00227004 /* PCR INTERRUPT ENABLE register for Contexts 3 to 0 */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS     0x00227008 /* PCR INTERRUPT STATUS register for Contexts 7 to 4 */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_ENABLE     0x0022700c /* PCR INTERRUPT ENABLE register for Contexts 7 to 4 */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS     0x00227010 /* PCR INTERRUPT STATUS register for Contexts 11 to 8 */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_ENABLE     0x00227014 /* PCR INTERRUPT ENABLE register for Contexts 11 to 8 */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS     0x00227018 /* PCR INTERRUPT STATUS register for Contexts 15 to 12 */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_ENABLE     0x0022701c /* PCR INTERRUPT ENABLE register for Contexts 15 to 12 */
#define BCHP_XPT_PCROFFSET_STC0_CTRL             0x00227020 /* STC0 Counter Control */
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL     0x00227024 /* STC0 Timebase Select */
#define BCHP_XPT_PCROFFSET_STC0_RATE_CTRL        0x00227028 /* STC0 Counter Increment and Prescale */
#define BCHP_XPT_PCROFFSET_STC0_CAPTURE_PCR_ONCE 0x0022702c /* STC0 Capture PCR once */
#define BCHP_XPT_PCROFFSET_STC0                  0x00227030 /* STC0 Counter */
#define BCHP_XPT_PCROFFSET_STC1_CTRL             0x00227034 /* STC1 Counter Control */
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL     0x00227038 /* STC1 Timebase Select */
#define BCHP_XPT_PCROFFSET_STC1_RATE_CTRL        0x0022703c /* STC1 Counter Increment and Prescale */
#define BCHP_XPT_PCROFFSET_STC1_CAPTURE_PCR_ONCE 0x00227040 /* STC1 Capture PCR once */
#define BCHP_XPT_PCROFFSET_STC1                  0x00227044 /* STC1 Counter */
#define BCHP_XPT_PCROFFSET_STC2_CTRL             0x00227048 /* STC2 Counter Control */
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL     0x0022704c /* STC2 Timebase Select */
#define BCHP_XPT_PCROFFSET_STC2_RATE_CTRL        0x00227050 /* STC2 Counter Increment and Prescale */
#define BCHP_XPT_PCROFFSET_STC2_CAPTURE_PCR_ONCE 0x00227054 /* STC2 Capture PCR once */
#define BCHP_XPT_PCROFFSET_STC2                  0x00227058 /* STC2 Counter */
#define BCHP_XPT_PCROFFSET_STC3_CTRL             0x0022705c /* STC3 Counter Control */
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL     0x00227060 /* STC3 Timebase Select */
#define BCHP_XPT_PCROFFSET_STC3_RATE_CTRL        0x00227064 /* STC3 Counter Increment and Prescale */
#define BCHP_XPT_PCROFFSET_STC3_CAPTURE_PCR_ONCE 0x00227068 /* STC3 Capture PCR once */
#define BCHP_XPT_PCROFFSET_STC3                  0x0022706c /* STC3 Counter */
#define BCHP_XPT_PCROFFSET_TM_PCROFFSET_CONFIG_TABLE 0x00227070 /* TM Control */
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL     0x00227074 /* STC Broadcast bus select */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL 0x00227800 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_PID_CH_NUM 0x00227804 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATE 0x00227808 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATUS 0x0022780c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_RD_PTR 0x00227810 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_WR_PTR 0x00227814 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH0_CH1 0x00227818 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH2_CH3 0x0022781c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH4_CH5 0x00227820 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH6_CH7 0x00227824 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATE 0x00227828 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET       0x0022782c /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_VALID 0x00227830 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_MAX_ERROR 0x00227834 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_THRESHOLD 0x00227838 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT0_FIXED_OFFSET 0x0022783c /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_COUNT 0x00227840 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_SEND_PCR_BASE 0x00227844 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_LAST_PCR_BASE 0x00227848 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_0 0x0022784c /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_1 0x00227850 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_2 0x00227854 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_3 0x00227858 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_0 0x0022786c /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_1 0x00227870 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_2 0x00227874 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_3 0x00227878 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_4 0x0022787c /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL 0x00227880 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_PID_CH_NUM 0x00227884 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATE 0x00227888 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATUS 0x0022788c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_RD_PTR 0x00227890 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_WR_PTR 0x00227894 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH0_CH1 0x00227898 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH2_CH3 0x0022789c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH4_CH5 0x002278a0 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH6_CH7 0x002278a4 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATE 0x002278a8 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET       0x002278ac /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_VALID 0x002278b0 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_MAX_ERROR 0x002278b4 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_THRESHOLD 0x002278b8 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT1_FIXED_OFFSET 0x002278bc /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_COUNT 0x002278c0 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_SEND_PCR_BASE 0x002278c4 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_LAST_PCR_BASE 0x002278c8 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_0 0x002278cc /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_1 0x002278d0 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_2 0x002278d4 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_3 0x002278d8 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_0 0x002278ec /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_1 0x002278f0 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_2 0x002278f4 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_3 0x002278f8 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_4 0x002278fc /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL 0x00227900 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_PID_CH_NUM 0x00227904 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATE 0x00227908 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATUS 0x0022790c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_RD_PTR 0x00227910 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_WR_PTR 0x00227914 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH0_CH1 0x00227918 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH2_CH3 0x0022791c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH4_CH5 0x00227920 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH6_CH7 0x00227924 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATE 0x00227928 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET       0x0022792c /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_VALID 0x00227930 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_MAX_ERROR 0x00227934 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_THRESHOLD 0x00227938 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT2_FIXED_OFFSET 0x0022793c /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_COUNT 0x00227940 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_SEND_PCR_BASE 0x00227944 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_LAST_PCR_BASE 0x00227948 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_0 0x0022794c /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_1 0x00227950 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_2 0x00227954 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_3 0x00227958 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_0 0x0022796c /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_1 0x00227970 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_2 0x00227974 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_3 0x00227978 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_4 0x0022797c /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL 0x00227980 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_PID_CH_NUM 0x00227984 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATE 0x00227988 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATUS 0x0022798c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_RD_PTR 0x00227990 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_WR_PTR 0x00227994 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH0_CH1 0x00227998 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH2_CH3 0x0022799c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH4_CH5 0x002279a0 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH6_CH7 0x002279a4 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATE 0x002279a8 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET       0x002279ac /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_VALID 0x002279b0 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_MAX_ERROR 0x002279b4 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_THRESHOLD 0x002279b8 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT3_FIXED_OFFSET 0x002279bc /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_COUNT 0x002279c0 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_SEND_PCR_BASE 0x002279c4 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_LAST_PCR_BASE 0x002279c8 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_0 0x002279cc /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_1 0x002279d0 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_2 0x002279d4 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_3 0x002279d8 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_0 0x002279ec /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_1 0x002279f0 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_2 0x002279f4 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_3 0x002279f8 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_4 0x002279fc /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL 0x00227a00 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_PID_CH_NUM 0x00227a04 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATE 0x00227a08 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATUS 0x00227a0c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_RD_PTR 0x00227a10 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_WR_PTR 0x00227a14 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH0_CH1 0x00227a18 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH2_CH3 0x00227a1c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH4_CH5 0x00227a20 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH6_CH7 0x00227a24 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATE 0x00227a28 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET       0x00227a2c /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_VALID 0x00227a30 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_MAX_ERROR 0x00227a34 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_THRESHOLD 0x00227a38 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT4_FIXED_OFFSET 0x00227a3c /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_COUNT 0x00227a40 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_SEND_PCR_BASE 0x00227a44 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_LAST_PCR_BASE 0x00227a48 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_0 0x00227a4c /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_1 0x00227a50 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_2 0x00227a54 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_3 0x00227a58 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_0 0x00227a6c /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_1 0x00227a70 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_2 0x00227a74 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_3 0x00227a78 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_4 0x00227a7c /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL 0x00227a80 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_PID_CH_NUM 0x00227a84 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATE 0x00227a88 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATUS 0x00227a8c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_RD_PTR 0x00227a90 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_WR_PTR 0x00227a94 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH0_CH1 0x00227a98 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH2_CH3 0x00227a9c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH4_CH5 0x00227aa0 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH6_CH7 0x00227aa4 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATE 0x00227aa8 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET       0x00227aac /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_VALID 0x00227ab0 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_MAX_ERROR 0x00227ab4 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_THRESHOLD 0x00227ab8 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT5_FIXED_OFFSET 0x00227abc /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_COUNT 0x00227ac0 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_SEND_PCR_BASE 0x00227ac4 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_LAST_PCR_BASE 0x00227ac8 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_0 0x00227acc /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_1 0x00227ad0 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_2 0x00227ad4 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_3 0x00227ad8 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_0 0x00227aec /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_1 0x00227af0 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_2 0x00227af4 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_3 0x00227af8 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_4 0x00227afc /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL 0x00227b00 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_PID_CH_NUM 0x00227b04 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATE 0x00227b08 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATUS 0x00227b0c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_RD_PTR 0x00227b10 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_WR_PTR 0x00227b14 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH0_CH1 0x00227b18 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH2_CH3 0x00227b1c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH4_CH5 0x00227b20 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH6_CH7 0x00227b24 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATE 0x00227b28 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET       0x00227b2c /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_VALID 0x00227b30 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_MAX_ERROR 0x00227b34 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_THRESHOLD 0x00227b38 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT6_FIXED_OFFSET 0x00227b3c /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_COUNT 0x00227b40 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_SEND_PCR_BASE 0x00227b44 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_LAST_PCR_BASE 0x00227b48 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_0 0x00227b4c /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_1 0x00227b50 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_2 0x00227b54 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_3 0x00227b58 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_0 0x00227b6c /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_1 0x00227b70 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_2 0x00227b74 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_3 0x00227b78 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_4 0x00227b7c /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL 0x00227b80 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_PID_CH_NUM 0x00227b84 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATE 0x00227b88 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATUS 0x00227b8c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_RD_PTR 0x00227b90 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_WR_PTR 0x00227b94 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH0_CH1 0x00227b98 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH2_CH3 0x00227b9c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH4_CH5 0x00227ba0 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH6_CH7 0x00227ba4 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATE 0x00227ba8 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET       0x00227bac /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_VALID 0x00227bb0 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_MAX_ERROR 0x00227bb4 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_THRESHOLD 0x00227bb8 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT7_FIXED_OFFSET 0x00227bbc /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_COUNT 0x00227bc0 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_SEND_PCR_BASE 0x00227bc4 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_LAST_PCR_BASE 0x00227bc8 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_0 0x00227bcc /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_1 0x00227bd0 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_2 0x00227bd4 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_3 0x00227bd8 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_0 0x00227bec /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_1 0x00227bf0 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_2 0x00227bf4 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_3 0x00227bf8 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_4 0x00227bfc /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL 0x00227c00 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_PID_CH_NUM 0x00227c04 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATE 0x00227c08 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATUS 0x00227c0c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_RD_PTR 0x00227c10 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_WR_PTR 0x00227c14 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH0_CH1 0x00227c18 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH2_CH3 0x00227c1c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH4_CH5 0x00227c20 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH6_CH7 0x00227c24 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATE 0x00227c28 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET       0x00227c2c /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_VALID 0x00227c30 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_MAX_ERROR 0x00227c34 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_THRESHOLD 0x00227c38 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT8_FIXED_OFFSET 0x00227c3c /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_COUNT 0x00227c40 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_SEND_PCR_BASE 0x00227c44 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_LAST_PCR_BASE 0x00227c48 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_0 0x00227c4c /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_1 0x00227c50 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_2 0x00227c54 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_3 0x00227c58 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_0 0x00227c6c /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_1 0x00227c70 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_2 0x00227c74 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_3 0x00227c78 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_4 0x00227c7c /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL 0x00227c80 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_PID_CH_NUM 0x00227c84 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATE 0x00227c88 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATUS 0x00227c8c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_RD_PTR 0x00227c90 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_WR_PTR 0x00227c94 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH0_CH1 0x00227c98 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH2_CH3 0x00227c9c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH4_CH5 0x00227ca0 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH6_CH7 0x00227ca4 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATE 0x00227ca8 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET       0x00227cac /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_VALID 0x00227cb0 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_MAX_ERROR 0x00227cb4 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_THRESHOLD 0x00227cb8 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT9_FIXED_OFFSET 0x00227cbc /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_COUNT 0x00227cc0 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_SEND_PCR_BASE 0x00227cc4 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_LAST_PCR_BASE 0x00227cc8 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_0 0x00227ccc /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_1 0x00227cd0 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_2 0x00227cd4 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_3 0x00227cd8 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_0 0x00227cec /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_1 0x00227cf0 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_2 0x00227cf4 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_3 0x00227cf8 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_4 0x00227cfc /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL 0x00227d00 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_PID_CH_NUM 0x00227d04 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATE 0x00227d08 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATUS 0x00227d0c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_RD_PTR 0x00227d10 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_WR_PTR 0x00227d14 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH0_CH1 0x00227d18 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH2_CH3 0x00227d1c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH4_CH5 0x00227d20 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH6_CH7 0x00227d24 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATE 0x00227d28 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET      0x00227d2c /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_VALID 0x00227d30 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_MAX_ERROR 0x00227d34 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_THRESHOLD 0x00227d38 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT10_FIXED_OFFSET 0x00227d3c /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_COUNT 0x00227d40 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_SEND_PCR_BASE 0x00227d44 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_LAST_PCR_BASE 0x00227d48 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_0 0x00227d4c /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_1 0x00227d50 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_2 0x00227d54 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_3 0x00227d58 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_0 0x00227d6c /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_1 0x00227d70 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_2 0x00227d74 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_3 0x00227d78 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_4 0x00227d7c /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL 0x00227d80 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_PID_CH_NUM 0x00227d84 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATE 0x00227d88 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATUS 0x00227d8c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_RD_PTR 0x00227d90 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_WR_PTR 0x00227d94 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH0_CH1 0x00227d98 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH2_CH3 0x00227d9c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH4_CH5 0x00227da0 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH6_CH7 0x00227da4 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATE 0x00227da8 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET      0x00227dac /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_VALID 0x00227db0 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_MAX_ERROR 0x00227db4 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_THRESHOLD 0x00227db8 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT11_FIXED_OFFSET 0x00227dbc /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_COUNT 0x00227dc0 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_SEND_PCR_BASE 0x00227dc4 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_LAST_PCR_BASE 0x00227dc8 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_0 0x00227dcc /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_1 0x00227dd0 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_2 0x00227dd4 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_3 0x00227dd8 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_0 0x00227dec /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_1 0x00227df0 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_2 0x00227df4 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_3 0x00227df8 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_4 0x00227dfc /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL 0x00227e00 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_PID_CH_NUM 0x00227e04 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATE 0x00227e08 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATUS 0x00227e0c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_RD_PTR 0x00227e10 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_WR_PTR 0x00227e14 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH0_CH1 0x00227e18 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH2_CH3 0x00227e1c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH4_CH5 0x00227e20 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH6_CH7 0x00227e24 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATE 0x00227e28 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET      0x00227e2c /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_VALID 0x00227e30 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_MAX_ERROR 0x00227e34 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_THRESHOLD 0x00227e38 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT12_FIXED_OFFSET 0x00227e3c /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_COUNT 0x00227e40 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_SEND_PCR_BASE 0x00227e44 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_LAST_PCR_BASE 0x00227e48 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_0 0x00227e4c /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_1 0x00227e50 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_2 0x00227e54 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_3 0x00227e58 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_0 0x00227e6c /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_1 0x00227e70 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_2 0x00227e74 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_3 0x00227e78 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_4 0x00227e7c /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL 0x00227e80 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_PID_CH_NUM 0x00227e84 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATE 0x00227e88 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATUS 0x00227e8c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_RD_PTR 0x00227e90 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_WR_PTR 0x00227e94 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH0_CH1 0x00227e98 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH2_CH3 0x00227e9c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH4_CH5 0x00227ea0 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH6_CH7 0x00227ea4 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATE 0x00227ea8 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET      0x00227eac /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_VALID 0x00227eb0 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_MAX_ERROR 0x00227eb4 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_THRESHOLD 0x00227eb8 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT13_FIXED_OFFSET 0x00227ebc /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_COUNT 0x00227ec0 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_SEND_PCR_BASE 0x00227ec4 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_LAST_PCR_BASE 0x00227ec8 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_0 0x00227ecc /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_1 0x00227ed0 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_2 0x00227ed4 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_3 0x00227ed8 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_0 0x00227eec /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_1 0x00227ef0 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_2 0x00227ef4 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_3 0x00227ef8 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_4 0x00227efc /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL 0x00227f00 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_PID_CH_NUM 0x00227f04 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATE 0x00227f08 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATUS 0x00227f0c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_RD_PTR 0x00227f10 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_WR_PTR 0x00227f14 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH0_CH1 0x00227f18 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH2_CH3 0x00227f1c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH4_CH5 0x00227f20 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH6_CH7 0x00227f24 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATE 0x00227f28 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET      0x00227f2c /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_VALID 0x00227f30 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_MAX_ERROR 0x00227f34 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_THRESHOLD 0x00227f38 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT14_FIXED_OFFSET 0x00227f3c /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_COUNT 0x00227f40 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_SEND_PCR_BASE 0x00227f44 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_LAST_PCR_BASE 0x00227f48 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_0 0x00227f4c /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_1 0x00227f50 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_2 0x00227f54 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_3 0x00227f58 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_0 0x00227f6c /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_1 0x00227f70 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_2 0x00227f74 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_3 0x00227f78 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_4 0x00227f7c /* Config Word 31 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL 0x00227f80 /* Config word 0 - PCROFFSET Main Control */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_PID_CH_NUM 0x00227f84 /* Config Word 1 - PP_PCR_PID_CH_NUM Register */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATE 0x00227f88 /* Config Word 2 - SPLICE STATE Register */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATUS 0x00227f8c /* Config Word 3 - SPLICE STATUS Register */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_RD_PTR 0x00227f90 /* Config Word 4 - SPLICE PID Channel Read Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_WR_PTR 0x00227f94 /* Config Word 5 - SPLICE PID Channel Write Pointer */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH0_CH1 0x00227f98 /* Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1 */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH2_CH3 0x00227f9c /* Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3 */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH4_CH5 0x00227fa0 /* Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5 */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH6_CH7 0x00227fa4 /* Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7 */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATE 0x00227fa8 /* Config Word 10 - OFFSET STATE register */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET      0x00227fac /* Config Word 11 - OFFSET read/write */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_VALID 0x00227fb0 /* Config Word 12 - OFFSET Valid */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_MAX_ERROR 0x00227fb4 /* Config Word 13 - OFFSET MAX Error */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_THRESHOLD 0x00227fb8 /* Config Word 14 - OFFSET Threshold */
#define BCHP_XPT_PCROFFSET_CONTEXT15_FIXED_OFFSET 0x00227fbc /* Config Word 15 - Fixed OFFSET */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_COUNT 0x00227fc0 /* Config Word 16 - PCR COUNT register */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_SEND_PCR_BASE 0x00227fc4 /* Config Word 17 - Send PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_LAST_PCR_BASE 0x00227fc8 /* Config Word 18 - Last PCR Base Register */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_0 0x00227fcc /* Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31 */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_1 0x00227fd0 /* Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63 */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_2 0x00227fd4 /* Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95 */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_3 0x00227fd8 /* Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127 */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_0 0x00227fec /* Config Word 27 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_1 0x00227ff0 /* Config Word 28 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_2 0x00227ff4 /* Config Word 29 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_3 0x00227ff8 /* Config Word 30 - RESERVED */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_4 0x00227ffc /* Config Word 31 - RESERVED */

/***************************************************************************
 *INTERRUPT0_STATUS - PCR INTERRUPT STATUS register for Contexts 3 to 0
 ***************************************************************************/
/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: reserved_for_eco0 [31:31] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_reserved_for_eco0_MASK 0x80000000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_reserved_for_eco0_SHIFT 31

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT3_STC_CAPTURED [30:30] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_STC_CAPTURED_MASK 0x40000000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_STC_CAPTURED_SHIFT 30

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT3_SPLICE_ERROR [29:29] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_SPLICE_ERROR_MASK 0x20000000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_SPLICE_ERROR_SHIFT 29

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT3_SPLICE_DONE [28:28] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_SPLICE_DONE_MASK 0x10000000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_SPLICE_DONE_SHIFT 28

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT3_PCR_TWO_ERROR [27:27] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_PCR_TWO_ERROR_MASK 0x08000000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_PCR_TWO_ERROR_SHIFT 27

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT3_PCR_ONE_ERROR [26:26] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_PCR_ONE_ERROR_MASK 0x04000000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_PCR_ONE_ERROR_SHIFT 26

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT3_PCR_DISCONT [25:25] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_PCR_DISCONT_MASK 0x02000000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_PCR_DISCONT_SHIFT 25

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT3_PCR_NEW [24:24] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_PCR_NEW_MASK 0x01000000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT3_PCR_NEW_SHIFT 24

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: reserved_for_eco1 [23:23] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_reserved_for_eco1_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_reserved_for_eco1_SHIFT 23

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT2_STC_CAPTURED [22:22] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_STC_CAPTURED_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_STC_CAPTURED_SHIFT 22

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT2_SPLICE_ERROR [21:21] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_SPLICE_ERROR_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_SPLICE_ERROR_SHIFT 21

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT2_SPLICE_DONE [20:20] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_SPLICE_DONE_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_SPLICE_DONE_SHIFT 20

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT2_PCR_TWO_ERROR [19:19] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_PCR_TWO_ERROR_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_PCR_TWO_ERROR_SHIFT 19

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT2_PCR_ONE_ERROR [18:18] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_PCR_ONE_ERROR_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_PCR_ONE_ERROR_SHIFT 18

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT2_PCR_DISCONT [17:17] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_PCR_DISCONT_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_PCR_DISCONT_SHIFT 17

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT2_PCR_NEW [16:16] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_PCR_NEW_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT2_PCR_NEW_SHIFT 16

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: reserved_for_eco2 [15:15] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_reserved_for_eco2_MASK 0x00008000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_reserved_for_eco2_SHIFT 15

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT1_STC_CAPTURED [14:14] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_STC_CAPTURED_MASK 0x00004000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_STC_CAPTURED_SHIFT 14

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT1_SPLICE_ERROR [13:13] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_SPLICE_ERROR_MASK 0x00002000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_SPLICE_ERROR_SHIFT 13

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT1_SPLICE_DONE [12:12] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_SPLICE_DONE_MASK 0x00001000
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_SPLICE_DONE_SHIFT 12

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT1_PCR_TWO_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_PCR_TWO_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_PCR_TWO_ERROR_SHIFT 11

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT1_PCR_ONE_ERROR [10:10] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_PCR_ONE_ERROR_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_PCR_ONE_ERROR_SHIFT 10

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT1_PCR_DISCONT [09:09] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_PCR_DISCONT_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_PCR_DISCONT_SHIFT 9

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT1_PCR_NEW [08:08] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_PCR_NEW_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT1_PCR_NEW_SHIFT 8

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: reserved_for_eco3 [07:07] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_reserved_for_eco3_MASK 0x00000080
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_reserved_for_eco3_SHIFT 7

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT0_STC_CAPTURED [06:06] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_STC_CAPTURED_MASK 0x00000040
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_STC_CAPTURED_SHIFT 6

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT0_SPLICE_ERROR [05:05] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_SPLICE_ERROR_MASK 0x00000020
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_SPLICE_ERROR_SHIFT 5

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT0_SPLICE_DONE [04:04] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_SPLICE_DONE_MASK 0x00000010
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_SPLICE_DONE_SHIFT 4

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT0_PCR_TWO_ERROR [03:03] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_PCR_TWO_ERROR_MASK 0x00000008
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_PCR_TWO_ERROR_SHIFT 3

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT0_PCR_ONE_ERROR [02:02] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_PCR_ONE_ERROR_MASK 0x00000004
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_PCR_ONE_ERROR_SHIFT 2

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT0_PCR_DISCONT [01:01] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_PCR_DISCONT_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_PCR_DISCONT_SHIFT 1

/* XPT_PCROFFSET :: INTERRUPT0_STATUS :: CONTEXT0_PCR_NEW [00:00] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_PCR_NEW_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_INTERRUPT0_STATUS_CONTEXT0_PCR_NEW_SHIFT 0

/***************************************************************************
 *INTERRUPT0_ENABLE - PCR INTERRUPT ENABLE register for Contexts 3 to 0
 ***************************************************************************/
/* XPT_PCROFFSET :: INTERRUPT0_ENABLE :: INTR0_STATUS_REG_EN [31:00] */
#define BCHP_XPT_PCROFFSET_INTERRUPT0_ENABLE_INTR0_STATUS_REG_EN_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_INTERRUPT0_ENABLE_INTR0_STATUS_REG_EN_SHIFT 0

/***************************************************************************
 *INTERRUPT1_STATUS - PCR INTERRUPT STATUS register for Contexts 7 to 4
 ***************************************************************************/
/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: reserved_for_eco0 [31:31] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_reserved_for_eco0_MASK 0x80000000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_reserved_for_eco0_SHIFT 31

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT7_STC_CAPTURED [30:30] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_STC_CAPTURED_MASK 0x40000000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_STC_CAPTURED_SHIFT 30

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT7_SPLICE_ERROR [29:29] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_SPLICE_ERROR_MASK 0x20000000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_SPLICE_ERROR_SHIFT 29

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT7_SPLICE_DONE [28:28] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_SPLICE_DONE_MASK 0x10000000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_SPLICE_DONE_SHIFT 28

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT7_PCR_TWO_ERROR [27:27] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_PCR_TWO_ERROR_MASK 0x08000000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_PCR_TWO_ERROR_SHIFT 27

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT7_PCR_ONE_ERROR [26:26] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_PCR_ONE_ERROR_MASK 0x04000000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_PCR_ONE_ERROR_SHIFT 26

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT7_PCR_DISCONT [25:25] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_PCR_DISCONT_MASK 0x02000000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_PCR_DISCONT_SHIFT 25

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT7_PCR_NEW [24:24] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_PCR_NEW_MASK 0x01000000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT7_PCR_NEW_SHIFT 24

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: reserved_for_eco1 [23:23] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_reserved_for_eco1_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_reserved_for_eco1_SHIFT 23

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT6_STC_CAPTURED [22:22] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_STC_CAPTURED_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_STC_CAPTURED_SHIFT 22

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT6_SPLICE_ERROR [21:21] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_SPLICE_ERROR_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_SPLICE_ERROR_SHIFT 21

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT6_SPLICE_DONE [20:20] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_SPLICE_DONE_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_SPLICE_DONE_SHIFT 20

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT6_PCR_TWO_ERROR [19:19] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_PCR_TWO_ERROR_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_PCR_TWO_ERROR_SHIFT 19

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT6_PCR_ONE_ERROR [18:18] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_PCR_ONE_ERROR_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_PCR_ONE_ERROR_SHIFT 18

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT6_PCR_DISCONT [17:17] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_PCR_DISCONT_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_PCR_DISCONT_SHIFT 17

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT6_PCR_NEW [16:16] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_PCR_NEW_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT6_PCR_NEW_SHIFT 16

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: reserved_for_eco2 [15:15] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_reserved_for_eco2_MASK 0x00008000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_reserved_for_eco2_SHIFT 15

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT5_STC_CAPTURED [14:14] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_STC_CAPTURED_MASK 0x00004000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_STC_CAPTURED_SHIFT 14

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT5_SPLICE_ERROR [13:13] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_SPLICE_ERROR_MASK 0x00002000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_SPLICE_ERROR_SHIFT 13

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT5_SPLICE_DONE [12:12] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_SPLICE_DONE_MASK 0x00001000
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_SPLICE_DONE_SHIFT 12

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT5_PCR_TWO_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_PCR_TWO_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_PCR_TWO_ERROR_SHIFT 11

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT5_PCR_ONE_ERROR [10:10] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_PCR_ONE_ERROR_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_PCR_ONE_ERROR_SHIFT 10

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT5_PCR_DISCONT [09:09] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_PCR_DISCONT_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_PCR_DISCONT_SHIFT 9

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT5_PCR_NEW [08:08] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_PCR_NEW_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT5_PCR_NEW_SHIFT 8

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: reserved_for_eco3 [07:07] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_reserved_for_eco3_MASK 0x00000080
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_reserved_for_eco3_SHIFT 7

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT4_STC_CAPTURED [06:06] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_STC_CAPTURED_MASK 0x00000040
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_STC_CAPTURED_SHIFT 6

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT4_SPLICE_ERROR [05:05] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_SPLICE_ERROR_MASK 0x00000020
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_SPLICE_ERROR_SHIFT 5

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT4_SPLICE_DONE [04:04] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_SPLICE_DONE_MASK 0x00000010
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_SPLICE_DONE_SHIFT 4

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT4_PCR_TWO_ERROR [03:03] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_PCR_TWO_ERROR_MASK 0x00000008
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_PCR_TWO_ERROR_SHIFT 3

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT4_PCR_ONE_ERROR [02:02] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_PCR_ONE_ERROR_MASK 0x00000004
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_PCR_ONE_ERROR_SHIFT 2

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT4_PCR_DISCONT [01:01] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_PCR_DISCONT_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_PCR_DISCONT_SHIFT 1

/* XPT_PCROFFSET :: INTERRUPT1_STATUS :: CONTEXT4_PCR_NEW [00:00] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_PCR_NEW_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_INTERRUPT1_STATUS_CONTEXT4_PCR_NEW_SHIFT 0

/***************************************************************************
 *INTERRUPT1_ENABLE - PCR INTERRUPT ENABLE register for Contexts 7 to 4
 ***************************************************************************/
/* XPT_PCROFFSET :: INTERRUPT1_ENABLE :: INTR0_STATUS_REG_EN [31:00] */
#define BCHP_XPT_PCROFFSET_INTERRUPT1_ENABLE_INTR0_STATUS_REG_EN_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_INTERRUPT1_ENABLE_INTR0_STATUS_REG_EN_SHIFT 0

/***************************************************************************
 *INTERRUPT2_STATUS - PCR INTERRUPT STATUS register for Contexts 11 to 8
 ***************************************************************************/
/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: reserved_for_eco0 [31:31] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_reserved_for_eco0_MASK 0x80000000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_reserved_for_eco0_SHIFT 31

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT11_STC_CAPTURED [30:30] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_STC_CAPTURED_MASK 0x40000000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_STC_CAPTURED_SHIFT 30

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT11_SPLICE_ERROR [29:29] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_SPLICE_ERROR_MASK 0x20000000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_SPLICE_ERROR_SHIFT 29

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT11_SPLICE_DONE [28:28] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_SPLICE_DONE_MASK 0x10000000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_SPLICE_DONE_SHIFT 28

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT11_PCR_TWO_ERROR [27:27] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_PCR_TWO_ERROR_MASK 0x08000000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_PCR_TWO_ERROR_SHIFT 27

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT11_PCR_ONE_ERROR [26:26] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_PCR_ONE_ERROR_MASK 0x04000000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_PCR_ONE_ERROR_SHIFT 26

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT11_PCR_DISCONT [25:25] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_PCR_DISCONT_MASK 0x02000000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_PCR_DISCONT_SHIFT 25

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT11_PCR_NEW [24:24] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_PCR_NEW_MASK 0x01000000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT11_PCR_NEW_SHIFT 24

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: reserved_for_eco1 [23:23] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_reserved_for_eco1_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_reserved_for_eco1_SHIFT 23

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT10_STC_CAPTURED [22:22] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_STC_CAPTURED_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_STC_CAPTURED_SHIFT 22

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT10_SPLICE_ERROR [21:21] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_SPLICE_ERROR_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_SPLICE_ERROR_SHIFT 21

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT10_SPLICE_DONE [20:20] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_SPLICE_DONE_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_SPLICE_DONE_SHIFT 20

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT10_PCR_TWO_ERROR [19:19] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_PCR_TWO_ERROR_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_PCR_TWO_ERROR_SHIFT 19

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT10_PCR_ONE_ERROR [18:18] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_PCR_ONE_ERROR_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_PCR_ONE_ERROR_SHIFT 18

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT10_PCR_DISCONT [17:17] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_PCR_DISCONT_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_PCR_DISCONT_SHIFT 17

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT10_PCR_NEW [16:16] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_PCR_NEW_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT10_PCR_NEW_SHIFT 16

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: reserved_for_eco2 [15:15] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_reserved_for_eco2_MASK 0x00008000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_reserved_for_eco2_SHIFT 15

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT9_STC_CAPTURED [14:14] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_STC_CAPTURED_MASK 0x00004000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_STC_CAPTURED_SHIFT 14

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT9_SPLICE_ERROR [13:13] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_SPLICE_ERROR_MASK 0x00002000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_SPLICE_ERROR_SHIFT 13

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT9_SPLICE_DONE [12:12] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_SPLICE_DONE_MASK 0x00001000
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_SPLICE_DONE_SHIFT 12

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT9_PCR_TWO_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_PCR_TWO_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_PCR_TWO_ERROR_SHIFT 11

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT9_PCR_ONE_ERROR [10:10] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_PCR_ONE_ERROR_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_PCR_ONE_ERROR_SHIFT 10

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT9_PCR_DISCONT [09:09] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_PCR_DISCONT_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_PCR_DISCONT_SHIFT 9

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT9_PCR_NEW [08:08] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_PCR_NEW_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT9_PCR_NEW_SHIFT 8

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: reserved_for_eco3 [07:07] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_reserved_for_eco3_MASK 0x00000080
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_reserved_for_eco3_SHIFT 7

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT8_STC_CAPTURED [06:06] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_STC_CAPTURED_MASK 0x00000040
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_STC_CAPTURED_SHIFT 6

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT8_SPLICE_ERROR [05:05] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_SPLICE_ERROR_MASK 0x00000020
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_SPLICE_ERROR_SHIFT 5

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT8_SPLICE_DONE [04:04] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_SPLICE_DONE_MASK 0x00000010
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_SPLICE_DONE_SHIFT 4

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT8_PCR_TWO_ERROR [03:03] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_PCR_TWO_ERROR_MASK 0x00000008
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_PCR_TWO_ERROR_SHIFT 3

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT8_PCR_ONE_ERROR [02:02] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_PCR_ONE_ERROR_MASK 0x00000004
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_PCR_ONE_ERROR_SHIFT 2

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT8_PCR_DISCONT [01:01] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_PCR_DISCONT_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_PCR_DISCONT_SHIFT 1

/* XPT_PCROFFSET :: INTERRUPT2_STATUS :: CONTEXT8_PCR_NEW [00:00] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_PCR_NEW_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_INTERRUPT2_STATUS_CONTEXT8_PCR_NEW_SHIFT 0

/***************************************************************************
 *INTERRUPT2_ENABLE - PCR INTERRUPT ENABLE register for Contexts 11 to 8
 ***************************************************************************/
/* XPT_PCROFFSET :: INTERRUPT2_ENABLE :: INTR0_STATUS_REG_EN [31:00] */
#define BCHP_XPT_PCROFFSET_INTERRUPT2_ENABLE_INTR0_STATUS_REG_EN_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_INTERRUPT2_ENABLE_INTR0_STATUS_REG_EN_SHIFT 0

/***************************************************************************
 *INTERRUPT3_STATUS - PCR INTERRUPT STATUS register for Contexts 15 to 12
 ***************************************************************************/
/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: reserved_for_eco0 [31:31] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_reserved_for_eco0_MASK 0x80000000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_reserved_for_eco0_SHIFT 31

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT15_STC_CAPTURED [30:30] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_STC_CAPTURED_MASK 0x40000000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_STC_CAPTURED_SHIFT 30

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT15_SPLICE_ERROR [29:29] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_SPLICE_ERROR_MASK 0x20000000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_SPLICE_ERROR_SHIFT 29

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT15_SPLICE_DONE [28:28] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_SPLICE_DONE_MASK 0x10000000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_SPLICE_DONE_SHIFT 28

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT15_PCR_TWO_ERROR [27:27] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_PCR_TWO_ERROR_MASK 0x08000000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_PCR_TWO_ERROR_SHIFT 27

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT15_PCR_ONE_ERROR [26:26] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_PCR_ONE_ERROR_MASK 0x04000000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_PCR_ONE_ERROR_SHIFT 26

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT15_PCR_DISCONT [25:25] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_PCR_DISCONT_MASK 0x02000000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_PCR_DISCONT_SHIFT 25

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT15_PCR_NEW [24:24] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_PCR_NEW_MASK 0x01000000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT15_PCR_NEW_SHIFT 24

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: reserved_for_eco1 [23:23] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_reserved_for_eco1_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_reserved_for_eco1_SHIFT 23

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT14_STC_CAPTURED [22:22] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_STC_CAPTURED_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_STC_CAPTURED_SHIFT 22

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT14_SPLICE_ERROR [21:21] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_SPLICE_ERROR_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_SPLICE_ERROR_SHIFT 21

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT14_SPLICE_DONE [20:20] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_SPLICE_DONE_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_SPLICE_DONE_SHIFT 20

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT14_PCR_TWO_ERROR [19:19] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_PCR_TWO_ERROR_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_PCR_TWO_ERROR_SHIFT 19

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT14_PCR_ONE_ERROR [18:18] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_PCR_ONE_ERROR_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_PCR_ONE_ERROR_SHIFT 18

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT14_PCR_DISCONT [17:17] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_PCR_DISCONT_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_PCR_DISCONT_SHIFT 17

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT14_PCR_NEW [16:16] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_PCR_NEW_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT14_PCR_NEW_SHIFT 16

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: reserved_for_eco2 [15:15] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_reserved_for_eco2_MASK 0x00008000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_reserved_for_eco2_SHIFT 15

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT13_STC_CAPTURED [14:14] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_STC_CAPTURED_MASK 0x00004000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_STC_CAPTURED_SHIFT 14

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT13_SPLICE_ERROR [13:13] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_SPLICE_ERROR_MASK 0x00002000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_SPLICE_ERROR_SHIFT 13

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT13_SPLICE_DONE [12:12] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_SPLICE_DONE_MASK 0x00001000
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_SPLICE_DONE_SHIFT 12

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT13_PCR_TWO_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_PCR_TWO_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_PCR_TWO_ERROR_SHIFT 11

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT13_PCR_ONE_ERROR [10:10] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_PCR_ONE_ERROR_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_PCR_ONE_ERROR_SHIFT 10

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT13_PCR_DISCONT [09:09] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_PCR_DISCONT_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_PCR_DISCONT_SHIFT 9

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT13_PCR_NEW [08:08] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_PCR_NEW_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT13_PCR_NEW_SHIFT 8

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: reserved_for_eco3 [07:07] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_reserved_for_eco3_MASK 0x00000080
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_reserved_for_eco3_SHIFT 7

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT12_STC_CAPTURED [06:06] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_STC_CAPTURED_MASK 0x00000040
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_STC_CAPTURED_SHIFT 6

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT12_SPLICE_ERROR [05:05] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_SPLICE_ERROR_MASK 0x00000020
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_SPLICE_ERROR_SHIFT 5

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT12_SPLICE_DONE [04:04] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_SPLICE_DONE_MASK 0x00000010
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_SPLICE_DONE_SHIFT 4

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT12_PCR_TWO_ERROR [03:03] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_PCR_TWO_ERROR_MASK 0x00000008
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_PCR_TWO_ERROR_SHIFT 3

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT12_PCR_ONE_ERROR [02:02] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_PCR_ONE_ERROR_MASK 0x00000004
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_PCR_ONE_ERROR_SHIFT 2

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT12_PCR_DISCONT [01:01] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_PCR_DISCONT_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_PCR_DISCONT_SHIFT 1

/* XPT_PCROFFSET :: INTERRUPT3_STATUS :: CONTEXT12_PCR_NEW [00:00] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_PCR_NEW_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_INTERRUPT3_STATUS_CONTEXT12_PCR_NEW_SHIFT 0

/***************************************************************************
 *INTERRUPT3_ENABLE - PCR INTERRUPT ENABLE register for Contexts 15 to 12
 ***************************************************************************/
/* XPT_PCROFFSET :: INTERRUPT3_ENABLE :: INTR0_STATUS_REG_EN [31:00] */
#define BCHP_XPT_PCROFFSET_INTERRUPT3_ENABLE_INTR0_STATUS_REG_EN_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_INTERRUPT3_ENABLE_INTR0_STATUS_REG_EN_SHIFT 0

/***************************************************************************
 *STC0_CTRL - STC0 Counter Control
 ***************************************************************************/
/* XPT_PCROFFSET :: STC0_CTRL :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_STC0_CTRL_reserved0_MASK                0xfffffff8
#define BCHP_XPT_PCROFFSET_STC0_CTRL_reserved0_SHIFT               3

/* XPT_PCROFFSET :: STC0_CTRL :: MODE [02:02] */
#define BCHP_XPT_PCROFFSET_STC0_CTRL_MODE_MASK                     0x00000004
#define BCHP_XPT_PCROFFSET_STC0_CTRL_MODE_SHIFT                    2
#define BCHP_XPT_PCROFFSET_STC0_CTRL_MODE_BINARY                   1
#define BCHP_XPT_PCROFFSET_STC0_CTRL_MODE_MOD_300                  0

/* XPT_PCROFFSET :: STC0_CTRL :: FREEZE [01:01] */
#define BCHP_XPT_PCROFFSET_STC0_CTRL_FREEZE_MASK                   0x00000002
#define BCHP_XPT_PCROFFSET_STC0_CTRL_FREEZE_SHIFT                  1
#define BCHP_XPT_PCROFFSET_STC0_CTRL_FREEZE_STC_FREEZE             1
#define BCHP_XPT_PCROFFSET_STC0_CTRL_FREEZE_STC_NORMAL             0

/* XPT_PCROFFSET :: STC0_CTRL :: RESET [00:00] */
#define BCHP_XPT_PCROFFSET_STC0_CTRL_RESET_MASK                    0x00000001
#define BCHP_XPT_PCROFFSET_STC0_CTRL_RESET_SHIFT                   0
#define BCHP_XPT_PCROFFSET_STC0_CTRL_RESET_STC_RESET               1
#define BCHP_XPT_PCROFFSET_STC0_CTRL_RESET_STC_NORMAL              0

/***************************************************************************
 *STC0_TIMEBASE_SEL - STC0 Timebase Select
 ***************************************************************************/
/* XPT_PCROFFSET :: STC0_TIMEBASE_SEL :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL_reserved0_MASK        0xfffffff8
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL_reserved0_SHIFT       3

/* XPT_PCROFFSET :: STC0_TIMEBASE_SEL :: TIMEBASE_SEL [02:00] */
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL_TIMEBASE_SEL_MASK     0x00000007
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL_TIMEBASE_SEL_SHIFT    0
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_0 0
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_1 1
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_2 2
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_3 3
#define BCHP_XPT_PCROFFSET_STC0_TIMEBASE_SEL_TIMEBASE_SEL_stc_free_run 4

/***************************************************************************
 *STC0_RATE_CTRL - STC0 Counter Increment and Prescale
 ***************************************************************************/
/* XPT_PCROFFSET :: STC0_RATE_CTRL :: reserved0 [31:16] */
#define BCHP_XPT_PCROFFSET_STC0_RATE_CTRL_reserved0_MASK           0xffff0000
#define BCHP_XPT_PCROFFSET_STC0_RATE_CTRL_reserved0_SHIFT          16

/* XPT_PCROFFSET :: STC0_RATE_CTRL :: PRESCALE [15:08] */
#define BCHP_XPT_PCROFFSET_STC0_RATE_CTRL_PRESCALE_MASK            0x0000ff00
#define BCHP_XPT_PCROFFSET_STC0_RATE_CTRL_PRESCALE_SHIFT           8

/* XPT_PCROFFSET :: STC0_RATE_CTRL :: INCREMENT [07:00] */
#define BCHP_XPT_PCROFFSET_STC0_RATE_CTRL_INCREMENT_MASK           0x000000ff
#define BCHP_XPT_PCROFFSET_STC0_RATE_CTRL_INCREMENT_SHIFT          0

/***************************************************************************
 *STC0_CAPTURE_PCR_ONCE - STC0 Capture PCR once
 ***************************************************************************/
/* XPT_PCROFFSET :: STC0_CAPTURE_PCR_ONCE :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_STC0_CAPTURE_PCR_ONCE_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_STC0_CAPTURE_PCR_ONCE_reserved0_SHIFT   1

/* XPT_PCROFFSET :: STC0_CAPTURE_PCR_ONCE :: ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_STC0_CAPTURE_PCR_ONCE_ENABLE_MASK       0x00000001
#define BCHP_XPT_PCROFFSET_STC0_CAPTURE_PCR_ONCE_ENABLE_SHIFT      0
#define BCHP_XPT_PCROFFSET_STC0_CAPTURE_PCR_ONCE_ENABLE_ENABLE     1
#define BCHP_XPT_PCROFFSET_STC0_CAPTURE_PCR_ONCE_ENABLE_DISABLE    0

/***************************************************************************
 *STC0 - STC0 Counter
 ***************************************************************************/
/* XPT_PCROFFSET :: STC0 :: COUNT [31:00] */
#define BCHP_XPT_PCROFFSET_STC0_COUNT_MASK                         0xffffffff
#define BCHP_XPT_PCROFFSET_STC0_COUNT_SHIFT                        0

/***************************************************************************
 *STC1_CTRL - STC1 Counter Control
 ***************************************************************************/
/* XPT_PCROFFSET :: STC1_CTRL :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_STC1_CTRL_reserved0_MASK                0xfffffff8
#define BCHP_XPT_PCROFFSET_STC1_CTRL_reserved0_SHIFT               3

/* XPT_PCROFFSET :: STC1_CTRL :: MODE [02:02] */
#define BCHP_XPT_PCROFFSET_STC1_CTRL_MODE_MASK                     0x00000004
#define BCHP_XPT_PCROFFSET_STC1_CTRL_MODE_SHIFT                    2
#define BCHP_XPT_PCROFFSET_STC1_CTRL_MODE_BINARY                   1
#define BCHP_XPT_PCROFFSET_STC1_CTRL_MODE_MOD_300                  0

/* XPT_PCROFFSET :: STC1_CTRL :: FREEZE [01:01] */
#define BCHP_XPT_PCROFFSET_STC1_CTRL_FREEZE_MASK                   0x00000002
#define BCHP_XPT_PCROFFSET_STC1_CTRL_FREEZE_SHIFT                  1
#define BCHP_XPT_PCROFFSET_STC1_CTRL_FREEZE_STC_FREEZE             1
#define BCHP_XPT_PCROFFSET_STC1_CTRL_FREEZE_STC_NORMAL             0

/* XPT_PCROFFSET :: STC1_CTRL :: RESET [00:00] */
#define BCHP_XPT_PCROFFSET_STC1_CTRL_RESET_MASK                    0x00000001
#define BCHP_XPT_PCROFFSET_STC1_CTRL_RESET_SHIFT                   0
#define BCHP_XPT_PCROFFSET_STC1_CTRL_RESET_STC_RESET               1
#define BCHP_XPT_PCROFFSET_STC1_CTRL_RESET_STC_NORMAL              0

/***************************************************************************
 *STC1_TIMEBASE_SEL - STC1 Timebase Select
 ***************************************************************************/
/* XPT_PCROFFSET :: STC1_TIMEBASE_SEL :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL_reserved0_MASK        0xfffffff8
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL_reserved0_SHIFT       3

/* XPT_PCROFFSET :: STC1_TIMEBASE_SEL :: TIMEBASE_SEL [02:00] */
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL_TIMEBASE_SEL_MASK     0x00000007
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL_TIMEBASE_SEL_SHIFT    0
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_0 0
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_1 1
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_2 2
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_3 3
#define BCHP_XPT_PCROFFSET_STC1_TIMEBASE_SEL_TIMEBASE_SEL_stc_free_run 4

/***************************************************************************
 *STC1_RATE_CTRL - STC1 Counter Increment and Prescale
 ***************************************************************************/
/* XPT_PCROFFSET :: STC1_RATE_CTRL :: reserved0 [31:16] */
#define BCHP_XPT_PCROFFSET_STC1_RATE_CTRL_reserved0_MASK           0xffff0000
#define BCHP_XPT_PCROFFSET_STC1_RATE_CTRL_reserved0_SHIFT          16

/* XPT_PCROFFSET :: STC1_RATE_CTRL :: PRESCALE [15:08] */
#define BCHP_XPT_PCROFFSET_STC1_RATE_CTRL_PRESCALE_MASK            0x0000ff00
#define BCHP_XPT_PCROFFSET_STC1_RATE_CTRL_PRESCALE_SHIFT           8

/* XPT_PCROFFSET :: STC1_RATE_CTRL :: INCREMENT [07:00] */
#define BCHP_XPT_PCROFFSET_STC1_RATE_CTRL_INCREMENT_MASK           0x000000ff
#define BCHP_XPT_PCROFFSET_STC1_RATE_CTRL_INCREMENT_SHIFT          0

/***************************************************************************
 *STC1_CAPTURE_PCR_ONCE - STC1 Capture PCR once
 ***************************************************************************/
/* XPT_PCROFFSET :: STC1_CAPTURE_PCR_ONCE :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_STC1_CAPTURE_PCR_ONCE_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_STC1_CAPTURE_PCR_ONCE_reserved0_SHIFT   1

/* XPT_PCROFFSET :: STC1_CAPTURE_PCR_ONCE :: ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_STC1_CAPTURE_PCR_ONCE_ENABLE_MASK       0x00000001
#define BCHP_XPT_PCROFFSET_STC1_CAPTURE_PCR_ONCE_ENABLE_SHIFT      0
#define BCHP_XPT_PCROFFSET_STC1_CAPTURE_PCR_ONCE_ENABLE_ENABLE     1
#define BCHP_XPT_PCROFFSET_STC1_CAPTURE_PCR_ONCE_ENABLE_DISABLE    0

/***************************************************************************
 *STC1 - STC1 Counter
 ***************************************************************************/
/* XPT_PCROFFSET :: STC1 :: COUNT [31:00] */
#define BCHP_XPT_PCROFFSET_STC1_COUNT_MASK                         0xffffffff
#define BCHP_XPT_PCROFFSET_STC1_COUNT_SHIFT                        0

/***************************************************************************
 *STC2_CTRL - STC2 Counter Control
 ***************************************************************************/
/* XPT_PCROFFSET :: STC2_CTRL :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_STC2_CTRL_reserved0_MASK                0xfffffff8
#define BCHP_XPT_PCROFFSET_STC2_CTRL_reserved0_SHIFT               3

/* XPT_PCROFFSET :: STC2_CTRL :: MODE [02:02] */
#define BCHP_XPT_PCROFFSET_STC2_CTRL_MODE_MASK                     0x00000004
#define BCHP_XPT_PCROFFSET_STC2_CTRL_MODE_SHIFT                    2
#define BCHP_XPT_PCROFFSET_STC2_CTRL_MODE_BINARY                   1
#define BCHP_XPT_PCROFFSET_STC2_CTRL_MODE_MOD_300                  0

/* XPT_PCROFFSET :: STC2_CTRL :: FREEZE [01:01] */
#define BCHP_XPT_PCROFFSET_STC2_CTRL_FREEZE_MASK                   0x00000002
#define BCHP_XPT_PCROFFSET_STC2_CTRL_FREEZE_SHIFT                  1
#define BCHP_XPT_PCROFFSET_STC2_CTRL_FREEZE_STC_FREEZE             1
#define BCHP_XPT_PCROFFSET_STC2_CTRL_FREEZE_STC_NORMAL             0

/* XPT_PCROFFSET :: STC2_CTRL :: RESET [00:00] */
#define BCHP_XPT_PCROFFSET_STC2_CTRL_RESET_MASK                    0x00000001
#define BCHP_XPT_PCROFFSET_STC2_CTRL_RESET_SHIFT                   0
#define BCHP_XPT_PCROFFSET_STC2_CTRL_RESET_STC_RESET               1
#define BCHP_XPT_PCROFFSET_STC2_CTRL_RESET_STC_NORMAL              0

/***************************************************************************
 *STC2_TIMEBASE_SEL - STC2 Timebase Select
 ***************************************************************************/
/* XPT_PCROFFSET :: STC2_TIMEBASE_SEL :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL_reserved0_MASK        0xfffffff8
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL_reserved0_SHIFT       3

/* XPT_PCROFFSET :: STC2_TIMEBASE_SEL :: TIMEBASE_SEL [02:00] */
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL_TIMEBASE_SEL_MASK     0x00000007
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL_TIMEBASE_SEL_SHIFT    0
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_0 0
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_1 1
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_2 2
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_3 3
#define BCHP_XPT_PCROFFSET_STC2_TIMEBASE_SEL_TIMEBASE_SEL_stc_free_run 4

/***************************************************************************
 *STC2_RATE_CTRL - STC2 Counter Increment and Prescale
 ***************************************************************************/
/* XPT_PCROFFSET :: STC2_RATE_CTRL :: reserved0 [31:16] */
#define BCHP_XPT_PCROFFSET_STC2_RATE_CTRL_reserved0_MASK           0xffff0000
#define BCHP_XPT_PCROFFSET_STC2_RATE_CTRL_reserved0_SHIFT          16

/* XPT_PCROFFSET :: STC2_RATE_CTRL :: PRESCALE [15:08] */
#define BCHP_XPT_PCROFFSET_STC2_RATE_CTRL_PRESCALE_MASK            0x0000ff00
#define BCHP_XPT_PCROFFSET_STC2_RATE_CTRL_PRESCALE_SHIFT           8

/* XPT_PCROFFSET :: STC2_RATE_CTRL :: INCREMENT [07:00] */
#define BCHP_XPT_PCROFFSET_STC2_RATE_CTRL_INCREMENT_MASK           0x000000ff
#define BCHP_XPT_PCROFFSET_STC2_RATE_CTRL_INCREMENT_SHIFT          0

/***************************************************************************
 *STC2_CAPTURE_PCR_ONCE - STC2 Capture PCR once
 ***************************************************************************/
/* XPT_PCROFFSET :: STC2_CAPTURE_PCR_ONCE :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_STC2_CAPTURE_PCR_ONCE_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_STC2_CAPTURE_PCR_ONCE_reserved0_SHIFT   1

/* XPT_PCROFFSET :: STC2_CAPTURE_PCR_ONCE :: ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_STC2_CAPTURE_PCR_ONCE_ENABLE_MASK       0x00000001
#define BCHP_XPT_PCROFFSET_STC2_CAPTURE_PCR_ONCE_ENABLE_SHIFT      0
#define BCHP_XPT_PCROFFSET_STC2_CAPTURE_PCR_ONCE_ENABLE_ENABLE     1
#define BCHP_XPT_PCROFFSET_STC2_CAPTURE_PCR_ONCE_ENABLE_DISABLE    0

/***************************************************************************
 *STC2 - STC2 Counter
 ***************************************************************************/
/* XPT_PCROFFSET :: STC2 :: COUNT [31:00] */
#define BCHP_XPT_PCROFFSET_STC2_COUNT_MASK                         0xffffffff
#define BCHP_XPT_PCROFFSET_STC2_COUNT_SHIFT                        0

/***************************************************************************
 *STC3_CTRL - STC3 Counter Control
 ***************************************************************************/
/* XPT_PCROFFSET :: STC3_CTRL :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_STC3_CTRL_reserved0_MASK                0xfffffff8
#define BCHP_XPT_PCROFFSET_STC3_CTRL_reserved0_SHIFT               3

/* XPT_PCROFFSET :: STC3_CTRL :: MODE [02:02] */
#define BCHP_XPT_PCROFFSET_STC3_CTRL_MODE_MASK                     0x00000004
#define BCHP_XPT_PCROFFSET_STC3_CTRL_MODE_SHIFT                    2
#define BCHP_XPT_PCROFFSET_STC3_CTRL_MODE_BINARY                   1
#define BCHP_XPT_PCROFFSET_STC3_CTRL_MODE_MOD_300                  0

/* XPT_PCROFFSET :: STC3_CTRL :: FREEZE [01:01] */
#define BCHP_XPT_PCROFFSET_STC3_CTRL_FREEZE_MASK                   0x00000002
#define BCHP_XPT_PCROFFSET_STC3_CTRL_FREEZE_SHIFT                  1
#define BCHP_XPT_PCROFFSET_STC3_CTRL_FREEZE_STC_FREEZE             1
#define BCHP_XPT_PCROFFSET_STC3_CTRL_FREEZE_STC_NORMAL             0

/* XPT_PCROFFSET :: STC3_CTRL :: RESET [00:00] */
#define BCHP_XPT_PCROFFSET_STC3_CTRL_RESET_MASK                    0x00000001
#define BCHP_XPT_PCROFFSET_STC3_CTRL_RESET_SHIFT                   0
#define BCHP_XPT_PCROFFSET_STC3_CTRL_RESET_STC_RESET               1
#define BCHP_XPT_PCROFFSET_STC3_CTRL_RESET_STC_NORMAL              0

/***************************************************************************
 *STC3_TIMEBASE_SEL - STC3 Timebase Select
 ***************************************************************************/
/* XPT_PCROFFSET :: STC3_TIMEBASE_SEL :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL_reserved0_MASK        0xfffffff8
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL_reserved0_SHIFT       3

/* XPT_PCROFFSET :: STC3_TIMEBASE_SEL :: TIMEBASE_SEL [02:00] */
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL_TIMEBASE_SEL_MASK     0x00000007
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL_TIMEBASE_SEL_SHIFT    0
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_0 0
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_1 1
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_2 2
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL_TIMEBASE_SEL_Timebase_3 3
#define BCHP_XPT_PCROFFSET_STC3_TIMEBASE_SEL_TIMEBASE_SEL_stc_free_run 4

/***************************************************************************
 *STC3_RATE_CTRL - STC3 Counter Increment and Prescale
 ***************************************************************************/
/* XPT_PCROFFSET :: STC3_RATE_CTRL :: reserved0 [31:16] */
#define BCHP_XPT_PCROFFSET_STC3_RATE_CTRL_reserved0_MASK           0xffff0000
#define BCHP_XPT_PCROFFSET_STC3_RATE_CTRL_reserved0_SHIFT          16

/* XPT_PCROFFSET :: STC3_RATE_CTRL :: PRESCALE [15:08] */
#define BCHP_XPT_PCROFFSET_STC3_RATE_CTRL_PRESCALE_MASK            0x0000ff00
#define BCHP_XPT_PCROFFSET_STC3_RATE_CTRL_PRESCALE_SHIFT           8

/* XPT_PCROFFSET :: STC3_RATE_CTRL :: INCREMENT [07:00] */
#define BCHP_XPT_PCROFFSET_STC3_RATE_CTRL_INCREMENT_MASK           0x000000ff
#define BCHP_XPT_PCROFFSET_STC3_RATE_CTRL_INCREMENT_SHIFT          0

/***************************************************************************
 *STC3_CAPTURE_PCR_ONCE - STC3 Capture PCR once
 ***************************************************************************/
/* XPT_PCROFFSET :: STC3_CAPTURE_PCR_ONCE :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_STC3_CAPTURE_PCR_ONCE_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_STC3_CAPTURE_PCR_ONCE_reserved0_SHIFT   1

/* XPT_PCROFFSET :: STC3_CAPTURE_PCR_ONCE :: ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_STC3_CAPTURE_PCR_ONCE_ENABLE_MASK       0x00000001
#define BCHP_XPT_PCROFFSET_STC3_CAPTURE_PCR_ONCE_ENABLE_SHIFT      0
#define BCHP_XPT_PCROFFSET_STC3_CAPTURE_PCR_ONCE_ENABLE_ENABLE     1
#define BCHP_XPT_PCROFFSET_STC3_CAPTURE_PCR_ONCE_ENABLE_DISABLE    0

/***************************************************************************
 *STC3 - STC3 Counter
 ***************************************************************************/
/* XPT_PCROFFSET :: STC3 :: COUNT [31:00] */
#define BCHP_XPT_PCROFFSET_STC3_COUNT_MASK                         0xffffffff
#define BCHP_XPT_PCROFFSET_STC3_COUNT_SHIFT                        0

/***************************************************************************
 *TM_PCROFFSET_CONFIG_TABLE - TM Control
 ***************************************************************************/
/* XPT_PCROFFSET :: TM_PCROFFSET_CONFIG_TABLE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_TM_PCROFFSET_CONFIG_TABLE_reserved0_MASK 0xfffffff0
#define BCHP_XPT_PCROFFSET_TM_PCROFFSET_CONFIG_TABLE_reserved0_SHIFT 4

/* XPT_PCROFFSET :: TM_PCROFFSET_CONFIG_TABLE :: TM [03:00] */
#define BCHP_XPT_PCROFFSET_TM_PCROFFSET_CONFIG_TABLE_TM_MASK       0x0000000f
#define BCHP_XPT_PCROFFSET_TM_PCROFFSET_CONFIG_TABLE_TM_SHIFT      0

/***************************************************************************
 *STC_BROADCAST_SEL - STC Broadcast bus select
 ***************************************************************************/
/* XPT_PCROFFSET :: STC_BROADCAST_SEL :: reserved0 [31:16] */
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_reserved0_MASK        0xffff0000
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_reserved0_SHIFT       16

/* XPT_PCROFFSET :: STC_BROADCAST_SEL :: STC_BCAST3_SEL [15:12] */
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_STC_BCAST3_SEL_MASK   0x0000f000
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_STC_BCAST3_SEL_SHIFT  12

/* XPT_PCROFFSET :: STC_BROADCAST_SEL :: STC_BCAST2_SEL [11:08] */
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_STC_BCAST2_SEL_MASK   0x00000f00
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_STC_BCAST2_SEL_SHIFT  8

/* XPT_PCROFFSET :: STC_BROADCAST_SEL :: STC_BCAST1_SEL [07:04] */
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_STC_BCAST1_SEL_MASK   0x000000f0
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_STC_BCAST1_SEL_SHIFT  4

/* XPT_PCROFFSET :: STC_BROADCAST_SEL :: STC_BCAST0_SEL [03:00] */
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_STC_BCAST0_SEL_MASK   0x0000000f
#define BCHP_XPT_PCROFFSET_STC_BROADCAST_SEL_STC_BCAST0_SEL_SHIFT  0

/***************************************************************************
 *PID_CONFIG_TABLE_%i - PID Configuration Table
 ***************************************************************************/
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_ARRAY_BASE           0x00227400
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_ARRAY_START          0
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_ARRAY_END            127
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_ARRAY_ELEMENT_SIZE   32

/***************************************************************************
 *PID_CONFIG_TABLE_%i - PID Configuration Table
 ***************************************************************************/
/* XPT_PCROFFSET :: PID_CONFIG_TABLE_i :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_reserved0_MASK       0xffffff00
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_reserved0_SHIFT      8

/* XPT_PCROFFSET :: PID_CONFIG_TABLE_i :: reserved_for_eco1 [07:07] */
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_reserved_for_eco1_MASK 0x00000080
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: PID_CONFIG_TABLE_i :: JITTER_DIS [06:06] */
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_JITTER_DIS_MASK      0x00000040
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_JITTER_DIS_SHIFT     6
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_JITTER_DIS_ENABLE    0
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_JITTER_DIS_DISABLE   1

/* XPT_PCROFFSET :: PID_CONFIG_TABLE_i :: FIXED_OFFSET_EN [05:05] */
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_FIXED_OFFSET_EN_MASK 0x00000020
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_FIXED_OFFSET_EN_SHIFT 5
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_FIXED_OFFSET_EN_ENABLE 1
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_FIXED_OFFSET_EN_DISABLE 0

/* XPT_PCROFFSET :: PID_CONFIG_TABLE_i :: PCROFFSET_EN [04:04] */
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_PCROFFSET_EN_MASK    0x00000010
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_PCROFFSET_EN_SHIFT   4
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_PCROFFSET_EN_ENABLE  1
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_PCROFFSET_EN_DISABLE 0

/* XPT_PCROFFSET :: PID_CONFIG_TABLE_i :: OFFSET_INDEX [03:00] */
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_OFFSET_INDEX_MASK    0x0000000f
#define BCHP_XPT_PCROFFSET_PID_CONFIG_TABLE_i_OFFSET_INDEX_SHIFT   0


/***************************************************************************
 *CONTEXT0_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT0_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT0_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT0_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT0_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT0_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT0_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT0_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT0_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT0_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT0_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT0_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT0_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT0_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT0_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT0_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT0_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT0_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT0_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT0_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT0_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT0_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT0_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT0_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT0_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT0_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT0_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT0_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT0_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT0_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT0_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT0_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT0_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT0_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT0_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT0_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT0_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT0_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT1_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT1_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT1_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT1_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT1_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT1_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT1_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT1_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT1_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT1_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT1_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT1_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT1_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT1_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT1_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT1_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT1_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT1_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT1_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT1_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT1_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT1_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT1_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT1_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT1_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT1_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT1_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT1_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT1_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT1_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT1_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT1_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT1_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT1_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT1_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT1_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT1_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT1_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT2_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT2_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT2_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT2_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT2_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT2_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT2_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT2_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT2_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT2_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT2_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT2_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT2_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT2_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT2_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT2_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT2_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT2_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT2_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT2_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT2_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT2_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT2_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT2_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT2_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT2_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT2_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT2_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT2_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT2_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT2_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT2_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT2_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT2_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT2_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT2_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT2_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT2_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT3_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT3_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT3_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT3_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT3_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT3_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT3_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT3_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT3_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT3_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT3_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT3_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT3_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT3_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT3_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT3_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT3_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT3_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT3_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT3_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT3_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT3_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT3_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT3_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT3_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT3_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT3_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT3_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT3_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT3_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT3_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT3_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT3_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT3_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT3_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT3_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT3_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT3_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT4_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT4_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT4_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT4_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT4_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT4_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT4_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT4_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT4_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT4_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT4_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT4_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT4_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT4_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT4_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT4_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT4_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT4_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT4_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT4_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT4_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT4_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT4_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT4_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT4_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT4_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT4_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT4_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT4_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT4_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT4_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT4_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT4_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT4_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT4_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT4_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT4_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT4_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT5_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT5_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT5_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT5_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT5_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT5_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT5_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT5_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT5_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT5_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT5_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT5_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT5_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT5_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT5_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT5_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT5_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT5_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT5_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT5_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT5_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT5_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT5_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT5_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT5_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT5_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT5_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT5_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT5_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT5_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT5_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT5_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT5_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT5_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT5_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT5_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT5_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT5_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT6_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT6_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT6_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT6_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT6_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT6_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT6_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT6_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT6_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT6_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT6_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT6_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT6_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT6_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT6_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT6_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT6_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT6_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT6_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT6_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT6_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT6_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT6_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT6_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT6_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT6_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT6_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT6_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT6_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT6_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT6_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT6_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT6_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT6_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT6_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT6_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT6_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT6_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT7_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT7_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT7_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT7_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT7_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT7_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT7_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT7_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT7_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT7_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT7_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT7_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT7_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT7_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT7_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT7_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT7_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT7_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT7_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT7_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT7_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT7_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT7_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT7_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT7_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT7_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT7_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT7_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT7_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT7_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT7_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT7_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT7_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT7_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT7_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT7_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT7_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT7_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT8_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT8_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT8_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT8_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT8_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT8_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT8_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT8_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT8_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT8_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT8_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT8_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT8_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT8_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT8_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT8_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT8_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT8_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT8_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT8_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT8_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT8_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT8_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT8_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT8_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT8_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT8_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT8_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT8_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT8_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT8_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT8_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT8_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT8_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT8_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT8_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT8_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT8_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT9_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_reserved0_MASK  0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_CC_MASK  0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_STC_SEL_MASK    0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_STC_SEL_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT9_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT9_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT9_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT9_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT9_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATE_reserved0_MASK    0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATE_reserved0_SHIFT   3

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT9_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATUS_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATUS_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATUS_COUNT_MASK       0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_STATUS_COUNT_SHIFT      0

/***************************************************************************
 *CONTEXT9_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_RD_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_RD_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT9_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_WR_PTR_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_WR_PTR_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT9_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT9_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT9_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT9_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT9_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT9_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT9_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATE_reserved0_MASK    0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATE_reserved0_SHIFT   4

/* XPT_PCROFFSET :: CONTEXT9_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT9_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_PCR_OFFSET_MASK         0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_PCR_OFFSET_SHIFT        0

/***************************************************************************
 *CONTEXT9_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_VALID_reserved0_MASK    0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_VALID_reserved0_SHIFT   1

/* XPT_PCROFFSET :: CONTEXT9_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT9_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT9_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT9_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT9_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_COUNT_reserved0_MASK    0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_COUNT_reserved0_SHIFT   8

/* XPT_PCROFFSET :: CONTEXT9_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_COUNT_PCR_COUNT_MASK    0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_PCR_COUNT_PCR_COUNT_SHIFT   0

/***************************************************************************
 *CONTEXT9_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT9_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT9_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT9_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT9_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT9_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT9_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_0_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_0_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT9_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_1_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_1_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT9_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_2_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_2_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT9_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_3_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_3_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT9_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT9_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_4_RESERVED_MASK   0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT9_RESERVED_CFG_4_RESERVED_SHIFT  0

/***************************************************************************
 *CONTEXT10_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_reserved0_MASK 0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_CC_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_STC_SEL_MASK   0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_STC_SEL_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT10_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT10_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT10_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT10_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT10_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATE_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATE_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT10_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATUS_reserved0_MASK  0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATUS_reserved0_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATUS_COUNT_MASK      0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_STATUS_COUNT_SHIFT     0

/***************************************************************************
 *CONTEXT10_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_RD_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_RD_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT10_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_WR_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_WR_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT10_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT10_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT10_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT10_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT10_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT10_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT10_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATE_reserved0_MASK   0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATE_reserved0_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT10_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT10_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_PCR_OFFSET_MASK        0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_PCR_OFFSET_SHIFT       0

/***************************************************************************
 *CONTEXT10_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_VALID_reserved0_MASK   0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_VALID_reserved0_SHIFT  1

/* XPT_PCROFFSET :: CONTEXT10_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT10_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT10_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT10_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT10_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_COUNT_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_COUNT_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT10_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_COUNT_PCR_COUNT_MASK   0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_PCR_COUNT_PCR_COUNT_SHIFT  0

/***************************************************************************
 *CONTEXT10_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT10_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT10_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT10_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT10_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT10_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT10_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_0_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_0_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT10_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_1_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_1_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT10_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_2_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_2_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT10_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_3_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_3_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT10_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT10_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_4_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT10_RESERVED_CFG_4_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT11_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_reserved0_MASK 0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_CC_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_STC_SEL_MASK   0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_STC_SEL_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT11_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT11_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT11_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT11_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT11_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATE_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATE_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT11_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATUS_reserved0_MASK  0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATUS_reserved0_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATUS_COUNT_MASK      0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_STATUS_COUNT_SHIFT     0

/***************************************************************************
 *CONTEXT11_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_RD_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_RD_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT11_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_WR_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_WR_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT11_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT11_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT11_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT11_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT11_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT11_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT11_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATE_reserved0_MASK   0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATE_reserved0_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT11_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT11_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_PCR_OFFSET_MASK        0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_PCR_OFFSET_SHIFT       0

/***************************************************************************
 *CONTEXT11_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_VALID_reserved0_MASK   0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_VALID_reserved0_SHIFT  1

/* XPT_PCROFFSET :: CONTEXT11_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT11_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT11_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT11_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT11_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_COUNT_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_COUNT_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT11_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_COUNT_PCR_COUNT_MASK   0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_PCR_COUNT_PCR_COUNT_SHIFT  0

/***************************************************************************
 *CONTEXT11_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT11_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT11_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT11_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT11_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT11_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT11_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_0_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_0_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT11_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_1_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_1_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT11_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_2_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_2_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT11_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_3_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_3_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT11_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT11_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_4_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT11_RESERVED_CFG_4_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT12_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_reserved0_MASK 0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_CC_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_STC_SEL_MASK   0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_STC_SEL_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT12_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT12_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT12_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT12_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT12_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATE_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATE_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT12_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATUS_reserved0_MASK  0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATUS_reserved0_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATUS_COUNT_MASK      0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_STATUS_COUNT_SHIFT     0

/***************************************************************************
 *CONTEXT12_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_RD_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_RD_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT12_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_WR_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_WR_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT12_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT12_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT12_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT12_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT12_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT12_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT12_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATE_reserved0_MASK   0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATE_reserved0_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT12_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT12_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_PCR_OFFSET_MASK        0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_PCR_OFFSET_SHIFT       0

/***************************************************************************
 *CONTEXT12_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_VALID_reserved0_MASK   0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_VALID_reserved0_SHIFT  1

/* XPT_PCROFFSET :: CONTEXT12_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT12_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT12_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT12_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT12_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_COUNT_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_COUNT_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT12_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_COUNT_PCR_COUNT_MASK   0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_PCR_COUNT_PCR_COUNT_SHIFT  0

/***************************************************************************
 *CONTEXT12_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT12_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT12_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT12_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT12_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT12_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT12_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_0_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_0_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT12_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_1_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_1_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT12_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_2_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_2_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT12_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_3_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_3_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT12_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT12_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_4_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT12_RESERVED_CFG_4_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT13_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_reserved0_MASK 0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_CC_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_STC_SEL_MASK   0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_STC_SEL_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT13_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT13_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT13_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT13_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT13_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATE_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATE_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT13_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATUS_reserved0_MASK  0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATUS_reserved0_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATUS_COUNT_MASK      0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_STATUS_COUNT_SHIFT     0

/***************************************************************************
 *CONTEXT13_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_RD_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_RD_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT13_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_WR_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_WR_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT13_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT13_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT13_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT13_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT13_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT13_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT13_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATE_reserved0_MASK   0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATE_reserved0_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT13_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT13_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_PCR_OFFSET_MASK        0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_PCR_OFFSET_SHIFT       0

/***************************************************************************
 *CONTEXT13_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_VALID_reserved0_MASK   0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_VALID_reserved0_SHIFT  1

/* XPT_PCROFFSET :: CONTEXT13_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT13_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT13_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT13_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT13_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_COUNT_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_COUNT_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT13_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_COUNT_PCR_COUNT_MASK   0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_PCR_COUNT_PCR_COUNT_SHIFT  0

/***************************************************************************
 *CONTEXT13_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT13_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT13_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT13_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT13_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT13_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT13_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_0_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_0_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT13_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_1_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_1_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT13_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_2_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_2_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT13_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_3_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_3_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT13_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT13_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_4_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT13_RESERVED_CFG_4_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT14_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_reserved0_MASK 0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_CC_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_STC_SEL_MASK   0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_STC_SEL_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT14_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT14_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT14_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT14_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT14_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATE_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATE_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT14_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATUS_reserved0_MASK  0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATUS_reserved0_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATUS_COUNT_MASK      0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_STATUS_COUNT_SHIFT     0

/***************************************************************************
 *CONTEXT14_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_RD_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_RD_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT14_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_WR_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_WR_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT14_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT14_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT14_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT14_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT14_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT14_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT14_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATE_reserved0_MASK   0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATE_reserved0_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT14_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT14_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_PCR_OFFSET_MASK        0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_PCR_OFFSET_SHIFT       0

/***************************************************************************
 *CONTEXT14_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_VALID_reserved0_MASK   0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_VALID_reserved0_SHIFT  1

/* XPT_PCROFFSET :: CONTEXT14_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT14_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT14_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT14_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT14_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_COUNT_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_COUNT_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT14_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_COUNT_PCR_COUNT_MASK   0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_PCR_COUNT_PCR_COUNT_SHIFT  0

/***************************************************************************
 *CONTEXT14_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT14_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT14_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT14_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT14_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT14_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT14_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_0_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_0_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT14_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_1_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_1_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT14_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_2_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_2_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT14_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_3_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_3_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT14_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT14_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_4_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT14_RESERVED_CFG_4_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT15_PCROFFSET_CTRL - Config word 0 - PCROFFSET Main Control
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: reserved0 [31:24] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_reserved0_MASK 0xff000000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_reserved0_SHIFT 24

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: IGNORE_AFID [23:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_AFID_MASK 0x00800000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_AFID_SHIFT 23
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_AFID_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_AFID_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: IGNORE_CFF [22:22] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_CFF_MASK 0x00400000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_CFF_SHIFT 22
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_CFF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_CFF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: IGNORE_RTS00 [21:21] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_RTS00_MASK 0x00200000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_RTS00_SHIFT 21
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_RTS00_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_RTS00_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: IGNORE_AFS [20:20] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_AFS_MASK 0x00100000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_AFS_SHIFT 20
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_AFS_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_AFS_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: IGNORE_CC [19:19] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_CC_MASK 0x00080000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_CC_SHIFT 19
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_CC_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_CC_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: IGNORE_OCF [18:18] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_OCF_MASK 0x00040000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_OCF_SHIFT 18
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_OCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_OCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: IGNORE_SCF [17:17] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_SCF_MASK 0x00020000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_SCF_SHIFT 17
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_SCF_IGNORE 1
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_IGNORE_SCF_NORMAL 0

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: PACKET_MODE [16:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_PACKET_MODE_MASK 0x00010000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_PACKET_MODE_SHIFT 16
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_PACKET_MODE_MPEG 0
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_PACKET_MODE_DIRECTV 1

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: reserved_for_eco1 [15:12] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_reserved_for_eco1_MASK 0x0000f000
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_reserved_for_eco1_SHIFT 12

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: USE_NEW_OFFSET_DURING_ERROR [11:11] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_MASK 0x00000800
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_USE_NEW_OFFSET_DURING_ERROR_SHIFT 11

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: TWO_ERR_ACQ [10:10] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_TWO_ERR_ACQ_MASK 0x00000400
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_TWO_ERR_ACQ_SHIFT 10

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: ONE_ERR_ACQ [09:09] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_ONE_ERR_ACQ_MASK 0x00000200
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_ONE_ERR_ACQ_SHIFT 9

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: CTXT_ENABLE [08:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_CTXT_ENABLE_MASK 0x00000100
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_CTXT_ENABLE_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: reserved_for_eco2 [07:06] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_reserved_for_eco2_MASK 0x000000c0
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_reserved_for_eco2_SHIFT 6

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: STC_SEL [05:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_STC_SEL_MASK   0x00000030
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_STC_SEL_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: reserved_for_eco3 [03:02] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_reserved_for_eco3_MASK 0x0000000c
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_reserved_for_eco3_SHIFT 2

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: INVALIDATE_PCR_OFFSET_ON_SPLICE [01:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_MASK 0x00000002
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_INVALIDATE_PCR_OFFSET_ON_SPLICE_SHIFT 1

/* XPT_PCROFFSET :: CONTEXT15_PCROFFSET_CTRL :: SPLICE_ENABLE [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_SPLICE_ENABLE_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT15_PCROFFSET_CTRL_SPLICE_ENABLE_SHIFT 0

/***************************************************************************
 *CONTEXT15_PP_PCR_PID_CH_NUM - Config Word 1 - PP_PCR_PID_CH_NUM Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_PP_PCR_PID_CH_NUM :: reserved0 [31:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_PID_CH_NUM_reserved0_MASK 0xffffff80
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_PID_CH_NUM_reserved0_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT15_PP_PCR_PID_CH_NUM :: PCR_PID_CH_NUM [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_PID_CH_NUM_PCR_PID_CH_NUM_SHIFT 0

/***************************************************************************
 *CONTEXT15_SPLICE_STATE - Config Word 2 - SPLICE STATE Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_SPLICE_STATE :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATE_reserved0_MASK   0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATE_reserved0_SHIFT  3

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_STATE :: SPLICE_STATE [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATE_SPLICE_STATE_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATE_SPLICE_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT15_SPLICE_STATUS - Config Word 3 - SPLICE STATUS Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_SPLICE_STATUS :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATUS_reserved0_MASK  0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATUS_reserved0_SHIFT 8

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_STATUS :: COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATUS_COUNT_MASK      0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_STATUS_COUNT_SHIFT     0

/***************************************************************************
 *CONTEXT15_SPLICE_RD_PTR - Config Word 4 - SPLICE PID Channel Read Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_SPLICE_RD_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_RD_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_RD_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_RD_PTR :: NEXT_PID_CH_RD_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_RD_PTR_NEXT_PID_CH_RD_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT15_SPLICE_WR_PTR - Config Word 5 - SPLICE PID Channel Write Pointer
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_SPLICE_WR_PTR :: reserved0 [31:03] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_WR_PTR_reserved0_MASK  0xfffffff8
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_WR_PTR_reserved0_SHIFT 3

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_WR_PTR :: NEXT_PID_CH_WR_PTR [02:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_MASK 0x00000007
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_WR_PTR_NEXT_PID_CH_WR_PTR_SHIFT 0

/***************************************************************************
 *CONTEXT15_SPLICE_PID_CH0_CH1 - Config Word 6 - NEXT SPLICE PCR PID Channel 0 and Channel 1
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH0_CH1 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH0_CH1_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH0_CH1_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_1 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH0_CH1_NEXT_PID_CH_1_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH0_CH1 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH0_CH1_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH0_CH1_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH0_CH1 :: NEXT_PID_CH_0 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH0_CH1_NEXT_PID_CH_0_SHIFT 0

/***************************************************************************
 *CONTEXT15_SPLICE_PID_CH2_CH3 - Config Word 7 - NEXT SPLICE PCR PID Channel 2 and Channel 3
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH2_CH3 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH2_CH3_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH2_CH3_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_3 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH2_CH3_NEXT_PID_CH_3_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH2_CH3 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH2_CH3_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH2_CH3_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH2_CH3 :: NEXT_PID_CH_2 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH2_CH3_NEXT_PID_CH_2_SHIFT 0

/***************************************************************************
 *CONTEXT15_SPLICE_PID_CH4_CH5 - Config Word 8 - NEXT SPLICE PCR PID Channel 4 and Channel 5
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH4_CH5 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH4_CH5_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH4_CH5_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_5 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH4_CH5_NEXT_PID_CH_5_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH4_CH5 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH4_CH5_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH4_CH5_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH4_CH5 :: NEXT_PID_CH_4 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH4_CH5_NEXT_PID_CH_4_SHIFT 0

/***************************************************************************
 *CONTEXT15_SPLICE_PID_CH6_CH7 - Config Word 9 - NEXT SPLICE PCR PID Channel 6 and Channel 7
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH6_CH7 :: reserved_for_eco0 [31:23] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH6_CH7_reserved_for_eco0_MASK 0xff800000
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH6_CH7_reserved_for_eco0_SHIFT 23

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_7 [22:16] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_MASK 0x007f0000
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH6_CH7_NEXT_PID_CH_7_SHIFT 16

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH6_CH7 :: reserved_for_eco1 [15:07] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH6_CH7_reserved_for_eco1_MASK 0x0000ff80
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH6_CH7_reserved_for_eco1_SHIFT 7

/* XPT_PCROFFSET :: CONTEXT15_SPLICE_PID_CH6_CH7 :: NEXT_PID_CH_6 [06:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_MASK 0x0000007f
#define BCHP_XPT_PCROFFSET_CONTEXT15_SPLICE_PID_CH6_CH7_NEXT_PID_CH_6_SHIFT 0

/***************************************************************************
 *CONTEXT15_OFFSET_STATE - Config Word 10 - OFFSET STATE register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_OFFSET_STATE :: reserved0 [31:04] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATE_reserved0_MASK   0xfffffff0
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATE_reserved0_SHIFT  4

/* XPT_PCROFFSET :: CONTEXT15_OFFSET_STATE :: OFFSET_STATE [03:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATE_OFFSET_STATE_MASK 0x0000000f
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATE_OFFSET_STATE_SHIFT 0

/***************************************************************************
 *CONTEXT15_OFFSET - Config Word 11 - OFFSET read/write
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_OFFSET :: PCR_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_PCR_OFFSET_MASK        0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_PCR_OFFSET_SHIFT       0

/***************************************************************************
 *CONTEXT15_OFFSET_VALID - Config Word 12 - OFFSET Valid
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_OFFSET_VALID :: reserved0 [31:01] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_VALID_reserved0_MASK   0xfffffffe
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_VALID_reserved0_SHIFT  1

/* XPT_PCROFFSET :: CONTEXT15_OFFSET_VALID :: PCR_OFFSET_VALID [00:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_VALID_PCR_OFFSET_VALID_MASK 0x00000001
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_VALID_PCR_OFFSET_VALID_SHIFT 0
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_VALID_PCR_OFFSET_VALID_INVALID 0
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_VALID_PCR_OFFSET_VALID_VALID 1

/***************************************************************************
 *CONTEXT15_OFFSET_MAX_ERROR - Config Word 13 - OFFSET MAX Error
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_OFFSET_MAX_ERROR :: MAX_ERROR [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_MAX_ERROR_MAX_ERROR_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_MAX_ERROR_MAX_ERROR_SHIFT 0

/***************************************************************************
 *CONTEXT15_OFFSET_THRESHOLD - Config Word 14 - OFFSET Threshold
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_OFFSET_THRESHOLD :: OFFSET_THRESHOLD [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_THRESHOLD_OFFSET_THRESHOLD_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_THRESHOLD_OFFSET_THRESHOLD_SHIFT 0

/***************************************************************************
 *CONTEXT15_FIXED_OFFSET - Config Word 15 - Fixed OFFSET
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_FIXED_OFFSET :: FIXED_OFFSET [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_FIXED_OFFSET_FIXED_OFFSET_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_FIXED_OFFSET_FIXED_OFFSET_SHIFT 0

/***************************************************************************
 *CONTEXT15_PP_PCR_COUNT - Config Word 16 - PCR COUNT register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_PP_PCR_COUNT :: reserved0 [31:08] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_COUNT_reserved0_MASK   0xffffff00
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_COUNT_reserved0_SHIFT  8

/* XPT_PCROFFSET :: CONTEXT15_PP_PCR_COUNT :: PCR_COUNT [07:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_COUNT_PCR_COUNT_MASK   0x000000ff
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_PCR_COUNT_PCR_COUNT_SHIFT  0

/***************************************************************************
 *CONTEXT15_PP_SEND_PCR_BASE - Config Word 17 - Send PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_PP_SEND_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_SEND_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_SEND_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT15_PP_LAST_PCR_BASE - Config Word 18 - Last PCR Base Register
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_PP_LAST_PCR_BASE :: PCR_BASE [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_LAST_PCR_BASE_PCR_BASE_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_PP_LAST_PCR_BASE_PCR_BASE_SHIFT 0

/***************************************************************************
 *CONTEXT15_OFFSET_STATUS_0 - Config Word 19 - OFFSET STATUS 0 for PID channel 0 to 31
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_OFFSET_STATUS_0 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_0_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_0_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT15_OFFSET_STATUS_1 - Config Word 20 - OFFSET STATUS 1 for PID channel 32 to 63
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_OFFSET_STATUS_1 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_1_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_1_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT15_OFFSET_STATUS_2 - Config Word 21 - OFFSET STATUS 2 for PID channel 64 to 95
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_OFFSET_STATUS_2 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_2_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_2_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT15_OFFSET_STATUS_3 - Config Word 22 - OFFSET STATUS 3 for PID channel 96 to 127
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_OFFSET_STATUS_3 :: PID_STATUS [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_3_PID_STATUS_MASK 0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_OFFSET_STATUS_3_PID_STATUS_SHIFT 0

/***************************************************************************
 *CONTEXT15_RESERVED_CFG_0 - Config Word 27 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_RESERVED_CFG_0 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_0_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_0_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT15_RESERVED_CFG_1 - Config Word 28 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_RESERVED_CFG_1 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_1_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_1_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT15_RESERVED_CFG_2 - Config Word 29 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_RESERVED_CFG_2 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_2_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_2_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT15_RESERVED_CFG_3 - Config Word 30 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_RESERVED_CFG_3 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_3_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_3_RESERVED_SHIFT 0

/***************************************************************************
 *CONTEXT15_RESERVED_CFG_4 - Config Word 31 - RESERVED
 ***************************************************************************/
/* XPT_PCROFFSET :: CONTEXT15_RESERVED_CFG_4 :: RESERVED [31:00] */
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_4_RESERVED_MASK  0xffffffff
#define BCHP_XPT_PCROFFSET_CONTEXT15_RESERVED_CFG_4_RESERVED_SHIFT 0

#endif /* #ifndef BCHP_XPT_PCROFFSET_H__ */

/* End of File */
